diff --git a/changelog b/changelog
index 3956a7b..c94aa65 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20080426 tpd src/input/schaum28.input show Schaums-Axiom equivalence
+20080426 tpd src/input/schaum27.input show Schaums-Axiom equivalence
+20080426 tpd src/input/schaum26.input show Schaums-Axiom equivalence
 20080425 tpd src/input/schaum25.input show Schaums-Axiom equivalence
 20080425 tpd src/input/schaum24.input show Schaums-Axiom equivalence
 20080424 tpd src/input/schaum23.input show Schaums-Axiom equivalence
diff --git a/src/input/schaum26.input.pamphlet b/src/input/schaum26.input.pamphlet
index 7bf7244..9bdeec5 100644
--- a/src/input/schaum26.input.pamphlet
+++ b/src/input/schaum26.input.pamphlet
@@ -18,13 +18,27 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 16
+--S 1
 aa:=integrate(log(x),x)
 --R 
 --R
 --R   (1)  x log(x) - x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=x*log(x)-x
+--R
+--R   (2)  x log(x) - x
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:525 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.526~~~~~$\displaystyle
@@ -35,7 +49,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 16
+--S 4
 aa:=integrate(x*log(x),x)
 --R 
 --R
@@ -44,7 +58,24 @@ aa:=integrate(x*log(x),x)
 --R   (1)  --------------
 --R               4
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 5
+bb:=x^2/2*(log(x)-1/2)
+--R
+--R          2          2
+--R        2x log(x) - x
+--R   (2)  --------------
+--R               4
+--R                                                     Type: Expression Integer
 --E 
+
+--S 6      14:526 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.527~~~~~$\displaystyle
@@ -55,7 +86,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 16
+--S 7
 aa:=integrate(x^m*log(x),x)
 --R 
 --R
@@ -65,7 +96,55 @@ aa:=integrate(x^m*log(x),x)
 --R                   2
 --R                  m  + 2m + 1
 --R                                          Type: Union(Expression Integer,...)
---E 
+--E
+
+--S 8
+bb:=x^(m+1)/(m+1)*(log(x)-1/(m+1))
+--R
+--R                            m + 1
+--R        ((m + 1)log(x) - 1)x
+--R   (2)  -------------------------
+--R                2
+--R               m  + 2m + 1
+--R                                                     Type: Expression Integer
+--E
+
+--S 9
+cc:=aa-bb
+--R
+--R                               m log(x)                         m + 1
+--R        ((m + 1)x log(x) - x)%e         + ((- m - 1)log(x) + 1)x
+--R   (3)  -------------------------------------------------------------
+--R                                  2
+--R                                 m  + 2m + 1
+--R                                                     Type: Expression Integer
+--E
+
+--S 10
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 11
+dd:=explog cc
+--R
+--R                              m + 1                         m
+--R        ((- m - 1)log(x) + 1)x      + ((m + 1)x log(x) - x)x
+--R   (5)  -----------------------------------------------------
+--R                              2
+--R                             m  + 2m + 1
+--R                                                     Type: Expression Integer
+--E
+
+--S 12     14:527 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.528~~~~~$\displaystyle
@@ -76,7 +155,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 16
+--S 13
 aa:=integrate(log(x)/x,x)
 --R 
 --R
@@ -85,7 +164,24 @@ aa:=integrate(log(x)/x,x)
 --R   (1)  -------
 --R           2
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 14
+bb:=1/2*log(x)^2
+--R
+--R              2
+--R        log(x)
+--R   (2)  -------
+--R           2
+--R                                                     Type: Expression Integer
 --E 
+
+--S 15     14:528 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.529~~~~~$\displaystyle
@@ -96,7 +192,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 16
+--S 16
 aa:=integrate(log(x)/x^2,x)
 --R 
 --R
@@ -105,6 +201,22 @@ aa:=integrate(log(x)/x^2,x)
 --R              x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 17
+bb:=-log(x)/x-1/x
+--R
+--R        - log(x) - 1
+--R   (2)  ------------
+--R              x
+--R                                                     Type: Expression Integer
+--E
+
+--S 18     14:529 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.530~~~~~$\displaystyle
@@ -115,14 +227,29 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 16
+--S 19
 aa:=integrate(log(x)^2,x)
 --R 
 --R
 --R                2
 --R   (1)  x log(x)  - 2x log(x) + 2x
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 20
+bb:=x*log(x)^2-2*x*log(x)+2*x
+--R
+--R                2
+--R   (2)  x log(x)  - 2x log(x) + 2x
+--R                                                     Type: Expression Integer
 --E 
+
+--S 21     14:530 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.531~~~~~$\displaystyle
@@ -133,7 +260,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 16
+--S 22
 aa:=integrate(log(x)^n/x,x)
 --R 
 --R
@@ -142,7 +269,52 @@ aa:=integrate(log(x)^n/x,x)
 --R   (1)  ---------------------
 --R                n + 1
 --R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 23
+bb:=log(x)^(n+1)/(n+1)
+--R
+--R              n + 1
+--R        log(x)
+--R   (2)  -----------
+--R           n + 1
+--R                                                     Type: Expression Integer
 --E 
+
+--S 24
+cc:=aa-bb
+--R
+--R                n log(log(x))         n + 1
+--R        log(x)%e              - log(x)
+--R   (3)  -----------------------------------
+--R                       n + 1
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+explog:=rule(%e^(n*log(x)) == x^n)
+--R
+--R          n log(x)     n
+--R   (4)  %e         == x
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 26
+dd:=explog cc
+--R
+--R                n + 1               n
+--R        - log(x)      + log(x)log(x)
+--R   (5)  -----------------------------
+--R                    n + 1
+--R                                                     Type: Expression Integer
+--E
+
+--S 27     14:531 Schaums and Axiom agree
+ee:=complexNormalize dd
+--R
+--R   (6)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.532~~~~~$\displaystyle
@@ -153,13 +325,28 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 16
+--S 28
 aa:=integrate(1/(x*log(x)),x)
 --R 
 --R
 --R   (1)  log(log(x))
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 29
+bb:=log(log(x))
+--R
+--R   (2)  log(log(x))
+--R                                                     Type: Expression Integer
+--E
+
+--S 30     14:532 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.533~~~~~$\displaystyle
@@ -171,7 +358,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 16
+--S 31     14:533 Schaums and Axiom agree by definition
 aa:=integrate(1/log(x),x)
 --R 
 --R
@@ -189,7 +376,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 16
+--S 32     14:534 Axiom cannot compute this integral
 aa:=integrate(x^m/log(x),x)
 --R 
 --R
@@ -209,7 +396,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 16
+--S 33     14:535 Axiom cannot compute this integral
 aa:=integrate(log(x)^n,x)
 --R 
 --R
@@ -229,7 +416,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 16
+--S 34     14:536 Axiom cannot compute this integral
 aa:=integrate(x^m*log(x)^n,x)
 --R 
 --R
@@ -249,7 +436,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 16
+--S 35
 aa:=integrate(log(x^2+a^2),x)
 --R 
 --R
@@ -258,6 +445,22 @@ aa:=integrate(log(x^2+a^2),x)
 --R                                 a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 36
+bb:=x*log(x^2+a^2)-2*x+2*a*atan(x/a)
+--R
+--R               2    2            x
+--R   (2)  x log(x  + a ) + 2a atan(-) - 2x
+--R                                 a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37     14:537 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.538~~~~~$\displaystyle
@@ -268,7 +471,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 16
+--S 38
 aa:=integrate(log(x^2-a^2),x)
 --R 
 --R
@@ -276,6 +479,31 @@ aa:=integrate(log(x^2-a^2),x)
 --R   (1)  x log(x  - a ) + a log(x + a) - a log(x - a) - 2x
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 39
+bb:=x*log(x^2-a^2)-2*x+a*log((x+a)/(x-a))
+--R
+--R               2    2          x + a
+--R   (2)  x log(x  - a ) + a log(-----) - 2x
+--R                               x - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+cc:=aa-bb
+--R
+--R                                            x + a
+--R   (3)  a log(x + a) - a log(x - a) - a log(-----)
+--R                                            x - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 41     14:538 Schaums and Axiom agree
+dd:=expandLog cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.539~~~~~$\displaystyle
@@ -287,7 +515,7 @@ $$
 <<*>>=
 )clear all
 
---S 15a of 16
+--S 42
 aa:=integrate(x^m*log(x^2+a^2),x)
 --R 
 --R
@@ -296,11 +524,11 @@ aa:=integrate(x^m*log(x^2+a^2),x)
 --I   (1)   |   log(a  + %I )%I d%I
 --R        ++
 --R                                          Type: Union(Expression Integer,...)
---E 
+--E
 
 )clear all
 
---S 15b of 16
+--S 43     14:539 Axiom cannot compute this integral
 aa:=integrate(x^m*log(x^2-a^2),x)
 --R 
 --R
diff --git a/src/input/schaum27.input.pamphlet b/src/input/schaum27.input.pamphlet
index bb9f4d2..cc233e4 100644
--- a/src/input/schaum27.input.pamphlet
+++ b/src/input/schaum27.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 22
+--S 1
 aa:=integrate(sinh(a*x),x)
 --R
 --R        cosh(a x)
@@ -26,6 +26,22 @@ aa:=integrate(sinh(a*x),x)
 --R            a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=cosh(a*x)/a
+--R
+--R        cosh(a x)
+--R   (2)  ---------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:540 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.541~~~~~$\displaystyle
@@ -36,7 +52,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 22
+--S 4
 aa:=integrate(x*sinh(a*x),x)
 --R 
 --R
@@ -46,6 +62,23 @@ aa:=integrate(x*sinh(a*x),x)
 --R                     a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 5
+bb:=(x*cosh(a*x))/a-sinh(a*x)/a^2
+--R
+--R        - sinh(a x) + a x cosh(a x)
+--R   (2)  ---------------------------
+--R                      2
+--R                     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 6      14:541 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.542~~~~~$\displaystyle
@@ -56,7 +89,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 22
+--S 7
 aa:=integrate(x^2*sinh(a*x),x)
 --R 
 --R
@@ -67,6 +100,24 @@ aa:=integrate(x^2*sinh(a*x),x)
 --R                          a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 8
+bb:=(x^2/a+2/a^3)*cosh(a*x)-(2*x)/a^2*sinh(a*x)
+--R
+--R                             2 2
+--R        - 2a x sinh(a x) + (a x  + 2)cosh(a x)
+--R   (2)  --------------------------------------
+--R                           3
+--R                          a
+--R                                                     Type: Expression Integer
+--E
+
+--S 9      14:542 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.543~~~~~$\displaystyle
@@ -77,7 +128,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 22
+--S 10     14:543 Axiom cannot compute this integral
 aa:=integrate(sinh(a*x)/x,x)
 --R 
 --R
@@ -97,7 +148,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 22
+--S 11     14:544 Axiom cannot compute this integral
 aa:=integrate(sinh(a*x)/x^2,x)
 --R 
 --R
@@ -118,7 +169,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 22
+--S 12
 aa:=integrate(1/sinh(a*x),x)
 --R 
 --R
@@ -127,6 +178,31 @@ aa:=integrate(1/sinh(a*x),x)
 --R                                        a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 13
+bb:=1/a*log(tanh(a*x)/2)
+--R
+--R            tanh(a x)
+--R        log(---------)
+--R                2
+--R   (2)  --------------
+--R               a
+--R                                                     Type: Expression Integer
+--E
+
+--S 14     14:545 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R             tanh(a x)
+--R       - log(---------) - log(sinh(a x) + cosh(a x) + 1)
+--R                 2
+--R     + 
+--R       log(sinh(a x) + cosh(a x) - 1)
+--R  /
+--R     a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.546~~~~~$\displaystyle
@@ -138,7 +214,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 22
+--S 15     14:546 Axiom cannot compute this integral
 aa:=integrate(x/sinh(a*x),x)
 --R 
 --R
@@ -158,7 +234,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 22
+--S 16
 aa:=integrate(sinh(a*x)^2,x)
 --R 
 --R
@@ -167,6 +243,22 @@ aa:=integrate(sinh(a*x)^2,x)
 --R                   2a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 17
+bb:=(sinh(a*x)*cosh(a*x))/(2*a)-x/2
+--R
+--R        cosh(a x)sinh(a x) - a x
+--R   (2)  ------------------------
+--R                   2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 18     14:547 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.548~~~~~$\displaystyle
@@ -177,7 +269,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 22
+--S 19
 aa:=integrate(x*sinh(a*x)^2,x)
 --R 
 --R
@@ -188,6 +280,87 @@ aa:=integrate(x*sinh(a*x)^2,x)
 --R                                    8a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 20
+bb:=(x*sinh(2*a*x))/(4*a)-cosh(2*a*x)/(8*a^2)-x^2/4
+--R
+--R                                         2 2
+--R        2a x sinh(2a x) - cosh(2a x) - 2a x
+--R   (2)  ------------------------------------
+--R                           2
+--R                         8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 21
+cc:=aa-bb
+--R
+--R   (3)
+--R                                    2
+--R       - 2a x sinh(2a x) - sinh(a x)  + 4a x cosh(a x)sinh(a x) + cosh(2a x)
+--R     + 
+--R                  2
+--R       - cosh(a x)
+--R  /
+--R       2
+--R     8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 22
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 23
+dd:=sinhsqrrule cc
+--R
+--R   (5)
+--R                                                                        2
+--R   - 4a x sinh(2a x) + 8a x cosh(a x)sinh(a x) + cosh(2a x) - 2cosh(a x)  + 1
+--R   --------------------------------------------------------------------------
+--R                                         2
+--R                                      16a
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 25
+ee:=coshsqrrule dd
+--R
+--R        - x sinh(2a x) + 2x cosh(a x)sinh(a x)
+--R   (7)  --------------------------------------
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 26
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %K sinh(y + x) - %K sinh(y - x)
+--I   (8)  %K cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 27     14:548 Axiom cannot simplify this expression
+ff:=sinhcoshrule ee
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.549~~~~~$\displaystyle
@@ -198,7 +371,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 22
+--S 28
 aa:=integrate(1/sinh(a*x)^2,x)
 --R 
 --R
@@ -208,6 +381,158 @@ aa:=integrate(1/sinh(a*x)^2,x)
 --R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 29
+bb:=-coth(a*x)/a
+--R
+--R          coth(a x)
+--R   (2)  - ---------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 30
+cc:=aa-bb
+--R
+--R   (3)
+--R                         2
+--R       coth(a x)sinh(a x)  + 2cosh(a x)coth(a x)sinh(a x)
+--R     + 
+--R                 2
+--R       (cosh(a x)  - 1)coth(a x) - 2
+--R  /
+--R                2                                      2
+--R     a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 31
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 32
+dd:=sinhsqrrule cc
+--R
+--R   (5)
+--R                                                          2
+--R   4cosh(a x)coth(a x)sinh(a x) + (cosh(2a x) + 2cosh(a x)  - 3)coth(a x) - 4
+--R   --------------------------------------------------------------------------
+--R                                                               2
+--R            4a cosh(a x)sinh(a x) + a cosh(2a x) + 2a cosh(a x)  - 3a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 34
+ee:=coshsqrrule dd
+--R
+--R        2cosh(a x)coth(a x)sinh(a x) + (cosh(2a x) - 1)coth(a x) - 2
+--R   (7)  ------------------------------------------------------------
+--R                  2a cosh(a x)sinh(a x) + a cosh(2a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 35
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--I                             %B sinh(y + x) - %B sinh(y - x)
+--I   (8)  %B cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 36
+ff:=sinhcoshrule ee
+--R
+--R        coth(a x)sinh(2a x) + (cosh(2a x) - 1)coth(a x) - 2
+--R   (9)  ---------------------------------------------------
+--R                  a sinh(2a x) + a cosh(2a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 37
+cothrule:=rule(coth(x) == cosh(x)/sinh(x))
+--R
+--R                    cosh(x)
+--R   (10)  coth(x) == -------
+--R                    sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 38
+gg:=cothrule ff
+--R
+--R         cosh(a x)sinh(2a x) - 2sinh(a x) + cosh(a x)cosh(2a x) - cosh(a x)
+--R   (11)  ------------------------------------------------------------------
+--R                 a sinh(a x)sinh(2a x) + (a cosh(2a x) - a)sinh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 39
+hh:=sinhcoshrule gg
+--R
+--R         sinh(3a x) - 3sinh(a x) + 2cosh(a x)cosh(2a x) - 2cosh(a x)
+--R   (12)  -----------------------------------------------------------
+--R             a sinh(3a x) + 2a sinh(a x)sinh(2a x) - 3a sinh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
+--R
+--I                              %M cosh(y + x) - %M cosh(y - x)
+--I   (13)  %M sinh(x)sinh(y) == -------------------------------
+--R                                             2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 41
+ii:=sinhsinhrule gg
+--R
+--R         2cosh(a x)sinh(2a x) - 4sinh(a x) + 2cosh(a x)cosh(2a x) - 2cosh(a x)
+--R   (14)  ---------------------------------------------------------------------
+--R               (2a cosh(2a x) - 2a)sinh(a x) + a cosh(3a x) - a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 42
+coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
+--R
+--I                              %N cosh(y + x) + %N cosh(y - x)
+--I   (15)  %N cosh(x)cosh(y) == -------------------------------
+--R                                             2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 43
+jj:=coshcoshrule ii
+--R
+--R         2cosh(a x)sinh(2a x) - 4sinh(a x) + cosh(3a x) - cosh(a x)
+--R   (16)  ----------------------------------------------------------
+--R         (2a cosh(2a x) - 2a)sinh(a x) + a cosh(3a x) - a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 44     14:549 Schaums and Axiom differ by a constant
+kk:=sinhcoshrule jj
+--R
+--R         1
+--R   (17)  -
+--R         a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.550~~~~~$\displaystyle
@@ -218,7 +543,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 22
+--S 45
 aa:=integrate(sinh(a*x)*sinh(p*x),x)
 --R 
 --R
@@ -228,6 +553,36 @@ aa:=integrate(sinh(a*x)*sinh(p*x),x)
 --R        (p  - a )sinh(a x)  + (- p  + a )cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 46
+bb:=(sinh(a+p)*x)/(2*(a+p))-(sinh(a-p)*x)/(2*(a-p))
+--R
+--R        (p - a)x sinh(p + a) + (- p - a)x sinh(p - a)
+--R   (2)  ---------------------------------------------
+--R                            2     2
+--R                          2p  - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 47     14:550 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R       2a cosh(a x)sinh(p x)
+--R     + 
+--R                                                               2
+--R       ((- p + a)x sinh(p + a) + (p + a)x sinh(p - a))sinh(a x)
+--R     + 
+--R                                                   2
+--R       - 2p cosh(p x)sinh(a x) + (p - a)x cosh(a x) sinh(p + a)
+--R     + 
+--R                           2
+--R       (- p - a)x cosh(a x) sinh(p - a)
+--R  /
+--R        2     2          2        2     2          2
+--R     (2p  - 2a )sinh(a x)  + (- 2p  + 2a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.551~~~~~$\displaystyle
@@ -238,7 +593,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 22
+--S 48
 aa:=integrate(sinh(a*x)*sin(p*x),x)
 --R 
 --R
@@ -255,6 +610,71 @@ aa:=integrate(sinh(a*x)*sin(p*x),x)
 --R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 49
+bb:=(a*cosh(a*x)*sin(p*x)-p*sinh(a*x)*cos(p*x))/(a^2+p^2)
+--R
+--R        - p cos(p x)sinh(a x) + a cosh(a x)sin(p x)
+--R   (2)  -------------------------------------------
+--R                           2    2
+--R                          p  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 50
+cc:=aa-bb
+--R
+--R   (3)
+--R                                         2                 2
+--R       (a sin(p x) + p cos(p x))sinh(a x)  + (- a cosh(a x)  + a)sin(p x)
+--R     + 
+--R                            2
+--R       - p cos(p x)cosh(a x)  + p cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 51
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 52
+dd:=sinhsqrrule cc
+--R
+--R   (5)
+--R                                   2
+--R       (a cosh(2a x) - 2a cosh(a x)  + a)sin(p x) + p cos(p x)cosh(2a x)
+--R     + 
+--R                             2
+--R       - 2p cos(p x)cosh(a x)  + p cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (4p  + 4a )sinh(a x) + (4p  + 4a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 53
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 54     14:551 Schaums and Axiom agree
+ee:=coshsqrrule dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.552~~~~~$\displaystyle
@@ -265,7 +685,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 22
+--S 55
 aa:=integrate(sinh(a*x)*cos(p*x),x)
 --R 
 --R
@@ -282,6 +702,71 @@ aa:=integrate(sinh(a*x)*cos(p*x),x)
 --R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 56
+bb:=(a*cosh(a*x)*cos(p*x)+p*sinh(a*x)*sin(p*x))/(a^2+p^2)
+--R
+--R        p sin(p x)sinh(a x) + a cos(p x)cosh(a x)
+--R   (2)  -----------------------------------------
+--R                          2    2
+--R                         p  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 57
+cc:=aa-bb
+--R
+--R   (3)
+--R                                           2               2
+--R       (- p sin(p x) + a cos(p x))sinh(a x)  + (p cosh(a x)  - p)sin(p x)
+--R     + 
+--R                            2
+--R       - a cos(p x)cosh(a x)  + a cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 58
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 59
+dd:=sinhsqrrule cc
+--R
+--R   (5)
+--R                                     2
+--R       (- p cosh(2a x) + 2p cosh(a x)  - p)sin(p x) + a cos(p x)cosh(2a x)
+--R     + 
+--R                             2
+--R       - 2a cos(p x)cosh(a x)  + a cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (4p  + 4a )sinh(a x) + (4p  + 4a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 60
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 61     14:552 Schaums and Axiom agree
+ee:=coshsqrrule dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.553~~~~~$\displaystyle
@@ -293,7 +778,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 22
+--S 62
 aa:=integrate(1/(p+q*sinh(a*x)),x)
 --R 
 --R
@@ -322,6 +807,60 @@ aa:=integrate(1/(p+q*sinh(a*x)),x)
 --R     a\|q  + p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 63
+bb:=1/(a*sqrt(p^2+q^2))*log((q*%e^(a*x)+p-sqrt(p^2+q^2))/(q*%e^(a*x)+p+sqrt(p^2+q^2)))
+--R
+--R               +-------+
+--R               | 2    2        a x
+--R            - \|q  + p   + q %e    + p
+--R        log(--------------------------)
+--R              +-------+
+--R              | 2    2        a x
+--R             \|q  + p   + q %e    + p
+--R   (2)  -------------------------------
+--R                    +-------+
+--R                    | 2    2
+--R                  a\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 64     14:553 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (3)
+--R       log
+--R                   2         2      2                              2         2
+--R                  q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                + 
+--R                                    2     2
+--R                  2p q cosh(a x) + q  + 2p
+--R             *
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  + p
+--R            + 
+--R                   3     2                   3     2                  2     3
+--R              (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R         /
+--R                         2                                             2
+--R              q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R            + 
+--R              2p cosh(a x) - q
+--R     + 
+--R                +-------+
+--R                | 2    2        a x
+--R             - \|q  + p   + q %e    + p
+--R       - log(--------------------------)
+--R               +-------+
+--R               | 2    2        a x
+--R              \|q  + p   + q %e    + p
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  + p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.554~~~~~$\displaystyle
@@ -333,7 +872,7 @@ $$
 <<*>>=
 )clear all
 
---S 15 of 22
+--S 65
 aa:=integrate(1/(p*q*sinh(a*x))^2,x)
 --R 
 --R
@@ -344,6 +883,137 @@ aa:=integrate(1/(p*q*sinh(a*x))^2,x)
 --R     a p q sinh(a x)  + 2a p q cosh(a x)sinh(a x) + a p q cosh(a x)  - a p q
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 66
+t1:=integrate(1/(p+q*sinh(a*x)),x)
+--R
+--R   (2)
+--R     log
+--R                 2         2      2                              2         2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R              + 
+--R                                  2     2
+--R                2p q cosh(a x) + q  + 2p
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  + p
+--R          + 
+--R                 3     2                   3     2                  2     3
+--R            (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R       /
+--R                       2                                             2
+--R            q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R          + 
+--R            2p cosh(a x) - q
+--R  /
+--R       +-------+
+--R       | 2    2
+--R     a\|q  + p
+--R                                          Type: Union(Expression Integer,...)
+--E
+
+--S 67
+bb:=(-q*cosh(a*x))/(a*(p^2+q^2)*(p+q*sinh(a*x)))+p/(p^2+q^2)*t1
+--R
+--R   (3)
+--R                           2
+--R         (p q sinh(a x) + p )
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) + q  + 2p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) - q
+--R     + 
+--R                     +-------+
+--R                     | 2    2
+--R       - q cosh(a x)\|q  + p
+--R  /
+--R                                               +-------+
+--R          3      2                   2      3  | 2    2
+--R     ((a q  + a p q)sinh(a x) + a p q  + a p )\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 68     14:554 Axiom cannot simplify this expression
+cc:=aa-bb
+--R
+--R   (4)
+--R              3 3         3        3 3             4 2          2
+--R           - p q sinh(a x)  + (- 2p q cosh(a x) - p q )sinh(a x)
+--R         + 
+--R               3 3         2     4 2             3 3              4 2         2
+--R           (- p q cosh(a x)  - 2p q cosh(a x) + p q )sinh(a x) - p q cosh(a x)
+--R         + 
+--R            4 2
+--R           p q
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) + q  + 2p
+--R               *
+--R                   +-------+
+--R                   | 2    2
+--R                  \|q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  - 2p q)sinh(a x) + (- 2q  - 2p q)cosh(a x) - 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) - q
+--R     + 
+--R            2 3                  2      2 3         2     3     2
+--R           p q cosh(a x)sinh(a x)  + (2p q cosh(a x)  - 2q  - 2p q)sinh(a x)
+--R         + 
+--R            2 3         3    2 3                2     3
+--R           p q cosh(a x)  - p q cosh(a x) - 2p q  - 2p
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R  /
+--R             2 5      4 3          3
+--R         (a p q  + a p q )sinh(a x)
+--R       + 
+--R               2 5       4 3                3 4      5 2          2
+--R         ((2a p q  + 2a p q )cosh(a x) + a p q  + a p q )sinh(a x)
+--R       + 
+--R                 2 5      4 3          2        3 4       5 2                2 5
+--R             (a p q  + a p q )cosh(a x)  + (2a p q  + 2a p q )cosh(a x) - a p q
+--R           + 
+--R                  4 3
+--R             - a p q
+--R        *
+--R           sinh(a x)
+--R       + 
+--R             3 4      5 2          2      3 4      5 2
+--R         (a p q  + a p q )cosh(a x)  - a p q  - a p q
+--R    *
+--R        +-------+
+--R        | 2    2
+--R       \|q  + p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.555~~~~~$\displaystyle
@@ -363,7 +1033,7 @@ $$
 <<*>>=
 )clear all
 
---S 16 of 22
+--S 69
 aa:=integrate(1/(p^2+q^2*sinh(a*x)^2),x)
 --R 
 --R
@@ -426,6 +1096,180 @@ aa:=integrate(1/(p^2+q^2*sinh(a*x)^2),x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 70
+bb1:=1/(a*p*sqrt(q^2-p^2))*atan((sqrt(q^2-p^2)*tanh(a*x))/p)
+--R
+--R                       +-------+
+--R                       | 2    2
+--R             tanh(a x)\|q  - p
+--R        atan(-------------------)
+--R                      p
+--R   (2)  -------------------------
+--R                  +-------+
+--R                  | 2    2
+--R              a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 71
+bb2:=1/(2*a*p*sqrt(p^2-q^2))*log((p+sqrt(p^2-q^2)*tanh(a*x))/(p-sqrt(p^2-q^2)*tanh(a*x)))
+--R
+--R                        +---------+
+--R                        |   2    2
+--R            - tanh(a x)\|- q  + p   - p
+--R        log(---------------------------)
+--R                       +---------+
+--R                       |   2    2
+--R             tanh(a x)\|- q  + p   - p
+--R   (3)  --------------------------------
+--R                     +---------+
+--R                     |   2    2
+--R                2a p\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 72
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R          +-------+
+--R          | 2    2
+--R         \|q  - p
+--R      *
+--R         log
+--R                     4         4     4                  3
+--R                    q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                  + 
+--R                       4         2     4     2 2          2
+--R                    (6q cosh(a x)  - 2q  + 4p q )sinh(a x)
+--R                  + 
+--R                       4         3        4     2 2
+--R                    (4q cosh(a x)  + (- 4q  + 8p q )cosh(a x))sinh(a x)
+--R                  + 
+--R                     4         4        4     2 2          2    4     2 2     4
+--R                    q cosh(a x)  + (- 2q  + 4p q )cosh(a x)  + q  - 8p q  + 8p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                     4     3 2          2        4     3 2
+--R                (4p q  - 4p q )sinh(a x)  + (8p q  - 8p q )cosh(a x)sinh(a x)
+--R              + 
+--R                     4     3 2          2       4      3 2     5
+--R                (4p q  - 4p q )cosh(a x)  - 4p q  + 12p q  - 8p
+--R           /
+--R                 2         4     2                  3
+--R                q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R              + 
+--R                   2         2     2     2          2
+--R                (6q cosh(a x)  - 2q  + 4p )sinh(a x)
+--R              + 
+--R                   2         3        2     2                        2         4
+--R                (4q cosh(a x)  + (- 4q  + 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R              + 
+--R                     2     2          2    2
+--R                (- 2q  + 4p )cosh(a x)  + q
+--R     + 
+--R                                     +-------+
+--R           +---------+               | 2    2
+--R           |   2    2      tanh(a x)\|q  - p
+--R       - 2\|- q  + p  atan(-------------------)
+--R                                    p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 73
+cc2:=aa.2-bb1
+--R
+--R   (5)
+--R                        +-------+
+--R                        | 2    2
+--R              tanh(a x)\|q  - p
+--R       - atan(-------------------)
+--R                       p
+--R     + 
+--R       atan
+--R                2         2     2                      2         2    2     2
+--R              (q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  - q  + 2p )
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  - p
+--R         /
+--R                2     3
+--R            2p q  - 2p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 74
+cc3:=aa.2-bb1
+--R
+--R   (6)
+--R                        +-------+
+--R                        | 2    2
+--R              tanh(a x)\|q  - p
+--R       - atan(-------------------)
+--R                       p
+--R     + 
+--R       atan
+--R                2         2     2                      2         2    2     2
+--R              (q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  - q  + 2p )
+--R           *
+--R               +-------+
+--R               | 2    2
+--R              \|q  - p
+--R         /
+--R                2     3
+--R            2p q  - 2p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 75     14:555 Axiom cannot simplify this expression
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R                                   +---------+
+--R          +-------+                |   2    2
+--R          | 2    2     - tanh(a x)\|- q  + p   - p
+--R       - \|q  - p  log(---------------------------)
+--R                                  +---------+
+--R                                  |   2    2
+--R                        tanh(a x)\|- q  + p   - p
+--R     + 
+--R           +---------+
+--R           |   2    2
+--R         2\|- q  + p
+--R      *
+--R         atan
+--R                  2         2     2                      2         2    2     2
+--R                (q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  - q  + 2p )
+--R             *
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  - p
+--R           /
+--R                  2     3
+--R              2p q  - 2p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.556~~~~~$\displaystyle
@@ -437,7 +1281,7 @@ $$
 <<*>>=
 )clear all
 
---S 17 of 22
+--S 76
 aa:=integrate(1/(p^2+q^2*sinh(a*x)^2),x)
 --R 
 --R
@@ -500,6 +1344,113 @@ aa:=integrate(1/(p^2+q^2*sinh(a*x)^2),x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 77
+bb:=1/(2*a*p*sqrt(p^2+q^2))*log((p+sqrt(p^2+q^2)*tanh(a*x))/(p-sqrt(p^2+q^2)*tanh(a*x)))
+--R
+--R                        +-------+
+--R                        | 2    2
+--R            - tanh(a x)\|q  + p   - p
+--R        log(-------------------------)
+--R                       +-------+
+--R                       | 2    2
+--R             tanh(a x)\|q  + p   - p
+--R   (2)  ------------------------------
+--R                     +-------+
+--R                     | 2    2
+--R                2a p\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 78
+cc1:=aa.1-bb
+--R
+--R   (3)
+--R          +-------+
+--R          | 2    2
+--R         \|q  + p
+--R      *
+--R         log
+--R                     4         4     4                  3
+--R                    q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                  + 
+--R                       4         2     4     2 2          2
+--R                    (6q cosh(a x)  - 2q  + 4p q )sinh(a x)
+--R                  + 
+--R                       4         3        4     2 2
+--R                    (4q cosh(a x)  + (- 4q  + 8p q )cosh(a x))sinh(a x)
+--R                  + 
+--R                     4         4        4     2 2          2    4     2 2     4
+--R                    q cosh(a x)  + (- 2q  + 4p q )cosh(a x)  + q  - 8p q  + 8p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                     4     3 2          2        4     3 2
+--R                (4p q  - 4p q )sinh(a x)  + (8p q  - 8p q )cosh(a x)sinh(a x)
+--R              + 
+--R                     4     3 2          2       4      3 2     5
+--R                (4p q  - 4p q )cosh(a x)  - 4p q  + 12p q  - 8p
+--R           /
+--R                 2         4     2                  3
+--R                q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R              + 
+--R                   2         2     2     2          2
+--R                (6q cosh(a x)  - 2q  + 4p )sinh(a x)
+--R              + 
+--R                   2         3        2     2                        2         4
+--R                (4q cosh(a x)  + (- 4q  + 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R              + 
+--R                     2     2          2    2
+--R                (- 2q  + 4p )cosh(a x)  + q
+--R     + 
+--R                                     +-------+
+--R          +---------+                | 2    2
+--R          |   2    2     - tanh(a x)\|q  + p   - p
+--R       - \|- q  + p  log(-------------------------)
+--R                                    +-------+
+--R                                    | 2    2
+--R                          tanh(a x)\|q  + p   - p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 79     14:556 Axiom cannot simplify this expression
+cc2:=aa.2-bb
+--R
+--R   (4)
+--R                                   +-------+
+--R          +-------+                | 2    2
+--R          | 2    2     - tanh(a x)\|q  + p   - p
+--R       - \|q  - p  log(-------------------------)
+--R                                  +-------+
+--R                                  | 2    2
+--R                        tanh(a x)\|q  + p   - p
+--R     + 
+--R           +-------+
+--R           | 2    2
+--R         2\|q  + p
+--R      *
+--R         atan
+--R                  2         2     2                      2         2    2     2
+--R                (q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  - q  + 2p )
+--R             *
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  - p
+--R           /
+--R                  2     3
+--R              2p q  - 2p
+--R  /
+--R          +-------+ +-------+
+--R          | 2    2  | 2    2
+--R     2a p\|q  - p  \|q  + p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.557~~~~~$\displaystyle
@@ -510,7 +1461,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 22
+--S 80     14:557 Axiom cannot compute this integral
 aa:=integrate(x^m*sinh(a*x),x)
 --R 
 --R
@@ -530,7 +1481,7 @@ $$
 <<*>>=
 )clear all
 
---S 19 of 22
+--S 81     14:558 Axiom cannot compute this integral
 aa:=integrate(sinh(a*x)^n,x)
 --R 
 --R
@@ -550,16 +1501,17 @@ $$
 <<*>>=
 )clear all
 
---S 20 of 22
-aa:=integrate(sinh(a*x)/a^n,x)
+--S 82     14:559 Axiom cannot compute this integral
+aa:=integrate(sinh(a*x)/x^n,x)
 --R
---R                 2                                  2
---R        sinh(a x)  + 2cosh(a x)sinh(a x) + cosh(a x)  + 1
---R   (1)  -------------------------------------------------
---R                                               n
---R                 (2a sinh(a x) + 2a cosh(a x))a
+--R           x
+--I         ++  sinh(%T a)
+--I   (3)   |   ---------- d%T
+--R        ++         n
+--I                 %T
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
 @
 
 \section{\cite{1}:14.560~~~~~$\displaystyle
@@ -571,7 +1523,7 @@ $$
 <<*>>=
 )clear all
 
---S 21 of 22
+--S 83     14:560 Axiom cannot compute this integral
 aa:=integrate(1/sinh(a*x)^n,x)
 --R 
 --R
@@ -594,7 +1546,7 @@ $$
 <<*>>=
 )clear all
 
---S 22 of 22
+--S 84     14:561 Axiom cannot compute this integral
 aa:=integrate(x/sinh(a*x)^n,x)
 --R 
 --R
diff --git a/src/input/schaum28.input.pamphlet b/src/input/schaum28.input.pamphlet
index b3fc3c6..5c68b06 100644
--- a/src/input/schaum28.input.pamphlet
+++ b/src/input/schaum28.input.pamphlet
@@ -18,7 +18,7 @@ $$
 )set message auto off
 )clear all
 
---S 1 of 28
+--S 1
 aa:=integrate(cosh(a*x),x)
 --R 
 --R
@@ -27,6 +27,22 @@ aa:=integrate(cosh(a*x),x)
 --R            a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 2
+bb:=sinh(a*x)/a
+--R
+--R        sinh(a x)
+--R   (2)  ---------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 3      14:562 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.563~~~~~$\displaystyle
@@ -37,7 +53,7 @@ $$
 <<*>>=
 )clear all
 
---S 2 of 28
+--S 4
 aa:=integrate(x*cosh(a*x),x)
 --R 
 --R
@@ -47,6 +63,23 @@ aa:=integrate(x*cosh(a*x),x)
 --R                    a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 5
+bb:=(x*sinh(a*x))/a-cosh(a*x)/a^2
+--R
+--R        a x sinh(a x) - cosh(a x)
+--R   (2)  -------------------------
+--R                     2
+--R                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 6      14:563 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.564~~~~~$\displaystyle
@@ -57,7 +90,7 @@ $$
 <<*>>=
 )clear all
 
---S 3 of 28
+--S 7
 aa:=integrate(x^2*cosh(a*x),x)
 --R 
 --R
@@ -68,6 +101,24 @@ aa:=integrate(x^2*cosh(a*x),x)
 --R                         a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 8
+bb:=-(2*x*cosh(a*x))/a^2+(x^2/a+2/a^3)*sinh(a*x)
+--R
+--R          2 2
+--R        (a x  + 2)sinh(a x) - 2a x cosh(a x)
+--R   (2)  ------------------------------------
+--R                          3
+--R                         a
+--R                                                     Type: Expression Integer
+--E
+
+--S 9      14:564 Schaums and Axiom agree
+cc:=aa-bb
+--R
+--R   (3)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.565~~~~~$\displaystyle
@@ -80,7 +131,7 @@ $$
 <<*>>=
 )clear all
 
---S 4 of 28
+--S 10     14:565 Axiom cannot compute this integral
 aa:=integrate(cosh(a*x)/x,x)
 --R 
 --R
@@ -100,7 +151,7 @@ $$
 <<*>>=
 )clear all
 
---S 5 of 28
+--S 11     14:566 Axiom cannot compute this integral
 aa:=integrate(cosh(a*x)/x^2,x)
 --R 
 --R
@@ -121,7 +172,7 @@ $$
 <<*>>=
 )clear all
 
---S 6 of 28
+--S 12
 aa:=integrate(1/cosh(a*x),x)
 --R 
 --R
@@ -130,6 +181,33 @@ aa:=integrate(1/cosh(a*x),x)
 --R                      a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 13
+bb:=2/a*atan(%e^(a*x))
+--R
+--R                a x
+--R        2atan(%e   )
+--R   (2)  ------------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 14
+cc:=aa-bb
+--R
+--R                                               a x
+--R        2atan(sinh(a x) + cosh(a x)) - 2atan(%e   )
+--R   (3)  -------------------------------------------
+--R                             a
+--R                                                     Type: Expression Integer
+--E
+
+--S 15     14:567 Schaums and Axiom agree
+dd:=complexNormalize cc
+--R
+--R   (4)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.568~~~~~$\displaystyle
@@ -141,7 +219,7 @@ $$
 <<*>>=
 )clear all
 
---S 7 of 28
+--S 16     14:568 Axiom cannot compute this integral
 aa:=integrate(x/cosh(a*x),x)
 --R 
 --R
@@ -161,7 +239,7 @@ $$
 <<*>>=
 )clear all
 
---S 8 of 28
+--S 17
 aa:=integrate(cosh(a*x)^2,x)
 --R 
 --R
@@ -170,6 +248,42 @@ aa:=integrate(cosh(a*x)^2,x)
 --R                   2a
 --R                                          Type: Union(Expression Integer,...)
 --E
+
+--S 18
+bb:=x/2+(sinh(a*x)*cosh(a*x))/2
+--R
+--R        cosh(a x)sinh(a x) + x
+--R   (2)  ----------------------
+--R                   2
+--R                                                     Type: Expression Integer
+--E
+
+--S 19
+cc:=aa-bb
+--R
+--R        (- a + 1)cosh(a x)sinh(a x)
+--R   (3)  ---------------------------
+--R                     2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 20
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %B sinh(y + x) - %B sinh(y - x)
+--I   (4)  %B cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 21     14:569 SCHAUMS AND AXIOM DISAGREE?
+dd:=sinhcoshrule cc
+--R
+--R        (- a + 1)sinh(2a x)
+--R   (5)  -------------------
+--R                 4a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.570~~~~~$\displaystyle
@@ -180,7 +294,7 @@ $$
 <<*>>=
 )clear all
 
---S 9 of 28
+--S 22
 aa:=integrate(x*cosh(a*x)^2,x)
 --R 
 --R
@@ -191,6 +305,87 @@ aa:=integrate(x*cosh(a*x)^2,x)
 --R                                    8a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 23
+bb:=x^2/4+(x*sinh(2*a*x))/(4*a)-cosh(2*a*x)/(8*a^2)
+--R
+--R                                         2 2
+--R        2a x sinh(2a x) - cosh(2a x) + 2a x
+--R   (2)  ------------------------------------
+--R                           2
+--R                         8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 24
+cc:=aa-bb
+--R
+--R   (3)
+--R                                    2
+--R       - 2a x sinh(2a x) - sinh(a x)  + 4a x cosh(a x)sinh(a x) + cosh(2a x)
+--R     + 
+--R                  2
+--R       - cosh(a x)
+--R  /
+--R       2
+--R     8a
+--R                                                     Type: Expression Integer
+--E
+
+--S 25
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 26
+dd:=sinhsqrrule cc
+--R
+--R   (5)
+--R                                                                        2
+--R   - 4a x sinh(2a x) + 8a x cosh(a x)sinh(a x) + cosh(2a x) - 2cosh(a x)  + 1
+--R   --------------------------------------------------------------------------
+--R                                         2
+--R                                      16a
+--R                                                     Type: Expression Integer
+--E
+
+--S 27
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 28
+ee:=coshsqrrule dd
+--R
+--R        - x sinh(2a x) + 2x cosh(a x)sinh(a x)
+--R   (7)  --------------------------------------
+--R                          4a
+--R                                                     Type: Expression Integer
+--E
+
+--S 29
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %S sinh(y + x) - %S sinh(y - x)
+--I   (8)  %S cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 30     14:570 Schaums and Axiom agree
+ff:=sinhcoshrule ee
+--R
+--R   (9)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.571~~~~~$\displaystyle
@@ -201,7 +396,7 @@ $$
 <<*>>=
 )clear all
 
---S 10 of 28
+--S 31
 aa:=integrate(1/cosh(a*x)^2,x)
 --R 
 --R
@@ -211,6 +406,176 @@ aa:=integrate(1/cosh(a*x)^2,x)
 --R          a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 32
+bb:=tanh(a*x)/a
+--R
+--R        tanh(a x)
+--R   (2)  ---------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 33
+cc:=aa-bb
+--R
+--R                    2                                  2
+--R        (- sinh(a x)  - 2cosh(a x)sinh(a x) - cosh(a x)  - 1)tanh(a x) - 2
+--R   (3)  ------------------------------------------------------------------
+--R                         2                                      2
+--R              a sinh(a x)  + 2a cosh(a x)sinh(a x) + a cosh(a x)  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 34
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (4)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 35
+dd:=tanhrule cc
+--R
+--R   (5)
+--R                  3                      2               2
+--R       - sinh(a x)  - 2cosh(a x)sinh(a x)  + (- cosh(a x)  - 1)sinh(a x)
+--R     + 
+--R       - 2cosh(a x)
+--R  /
+--R                         2               2                       3
+--R     a cosh(a x)sinh(a x)  + 2a cosh(a x) sinh(a x) + a cosh(a x)  + a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 36
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (6)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 37
+ee:=sinhsqrrule dd
+--R
+--R   (7)
+--R                   3                2
+--R       - 2sinh(a x)  + (- 2cosh(a x)  - 2)sinh(a x) - 2cosh(a x)cosh(2a x)
+--R     + 
+--R       - 2cosh(a x)
+--R  /
+--R                   2                                                3
+--R       4a cosh(a x) sinh(a x) + a cosh(a x)cosh(2a x) + 2a cosh(a x)
+--R     + 
+--R       a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 38
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (8)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 39
+ff:=coshsqrrule ee
+--R
+--R   (9)
+--R                   3
+--R       - 2sinh(a x)  + (- cosh(2a x) - 3)sinh(a x) - 2cosh(a x)cosh(2a x)
+--R     + 
+--R       - 2cosh(a x)
+--R  /
+--R                                                                           3
+--R       (2a cosh(2a x) + 2a)sinh(a x) + a cosh(a x)cosh(2a x) + 2a cosh(a x)
+--R     + 
+--R       a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 40
+sinhcuberule:=rule(sinh(x)^3 == 1/4*sinh(3*x)-3/4*sinh(x))
+--R
+--R                3    sinh(3x) - 3sinh(x)
+--R   (10)  sinh(x)  == -------------------
+--R                              4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 41
+gg:=sinhcuberule ff
+--R
+--R   (11)
+--R       - sinh(3a x) + (- 2cosh(2a x) - 3)sinh(a x) - 4cosh(a x)cosh(2a x)
+--R     + 
+--R       - 4cosh(a x)
+--R  /
+--R                                                                            3
+--R       (4a cosh(2a x) + 4a)sinh(a x) + 2a cosh(a x)cosh(2a x) + 4a cosh(a x)
+--R     + 
+--R       2a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 42
+coshcuberule:=rule(cosh(x)^3 == 1/4*cosh(3*x)-3/4*cosh(x))
+--R
+--R                3    cosh(3x) - 3cosh(x)
+--R   (12)  cosh(x)  == -------------------
+--R                              4
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 43
+hh:=coshcuberule gg
+--R
+--R   (13)
+--R       - sinh(3a x) + (- 2cosh(2a x) - 3)sinh(a x) - 4cosh(a x)cosh(2a x)
+--R     + 
+--R       - 4cosh(a x)
+--R  /
+--R       (4a cosh(2a x) + 4a)sinh(a x) + a cosh(3a x) + 2a cosh(a x)cosh(2a x)
+--R     + 
+--R       - a cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 44
+coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
+--R
+--I                              %U cosh(y + x) + %U cosh(y - x)
+--I   (14)  %U cosh(x)cosh(y) == -------------------------------
+--R                                             2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 45
+ii:=coshcoshrule hh
+--R
+--R   (15)
+--R   - sinh(3a x) + (- 2cosh(2a x) - 3)sinh(a x) - 2cosh(3a x) - 6cosh(a x)
+--R   ----------------------------------------------------------------------
+--R                (4a cosh(2a x) + 4a)sinh(a x) + 2a cosh(3a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 46     14:571 SCHAUMS AND AXIOM DISAGREE?
+jj:=complexNormalize ii
+--R
+--R               a x 2
+--R         - 2(%e   )  - 2
+--R   (16)  ---------------
+--R               a x 2
+--R         2a (%e   )  - a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.572~~~~~$\displaystyle
@@ -221,7 +586,7 @@ $$
 <<*>>=
 )clear all
 
---S 11 of 28
+--S 47
 aa:=integrate(cosh(a*x)*cosh(p*x),x)
 --R 
 --R
@@ -231,6 +596,106 @@ aa:=integrate(cosh(a*x)*cosh(p*x),x)
 --R         (p  - a )sinh(a x)  + (- p  + a )cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 48
+bb:=(sinh(a-p)*x)/(2*(a-p))+(sinh(a+p)*x)/(2*(a+p))
+--R
+--R        (p - a)x sinh(p + a) + (p + a)x sinh(p - a)
+--R   (2)  -------------------------------------------
+--R                           2     2
+--R                         2p  - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 49
+cc:=aa-bb
+--R
+--R   (3)
+--R       - 2p cosh(a x)sinh(p x)
+--R     + 
+--R                                                                 2
+--R       ((- p + a)x sinh(p + a) + (- p - a)x sinh(p - a))sinh(a x)
+--R     + 
+--R                                                 2
+--R       2a cosh(p x)sinh(a x) + (p - a)x cosh(a x) sinh(p + a)
+--R     + 
+--R                         2
+--R       (p + a)x cosh(a x) sinh(p - a)
+--R  /
+--R        2     2          2        2     2          2
+--R     (2p  - 2a )sinh(a x)  + (- 2p  + 2a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 50
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (4)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 51
+dd:=sinhsqrrule cc
+--R
+--R   (5)
+--R       - 4p cosh(a x)sinh(p x) + 4a cosh(p x)sinh(a x)
+--R     + 
+--R                                                    2
+--R       ((- p + a)x cosh(2a x) + (2p - 2a)x cosh(a x)  + (p - a)x)sinh(p + a)
+--R     + 
+--R                                                    2
+--R       ((- p - a)x cosh(2a x) + (2p + 2a)x cosh(a x)  + (p + a)x)sinh(p - a)
+--R  /
+--R        2     2                   2     2          2     2     2
+--R     (2p  - 2a )cosh(2a x) + (- 4p  + 4a )cosh(a x)  - 2p  + 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 52
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (6)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 53
+ee:=coshsqrrule dd
+--R
+--R   (7)
+--R       2p cosh(a x)sinh(p x) - 2a cosh(p x)sinh(a x) + (- p + a)x sinh(p + a)
+--R     + 
+--R       (- p - a)x sinh(p - a)
+--R  /
+--R       2     2
+--R     2p  - 2a
+--R                                                     Type: Expression Integer
+--E
+
+--S 54
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %V sinh(y + x) - %V sinh(y - x)
+--I   (8)  %V cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 55     14:572 Schaums and Axiom agree
+ff:=sinhcoshrule ee
+--R
+--R   (9)
+--R       (p - a)sinh((p + a)x) + (p + a)sinh((p - a)x) + (- p + a)x sinh(p + a)
+--R     + 
+--R       (- p - a)x sinh(p - a)
+--R  /
+--R       2     2
+--R     2p  - 2a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.573~~~~~$\displaystyle
@@ -241,7 +706,7 @@ $$
 <<*>>=
 )clear all
 
---S 12 of 28
+--S 56
 aa:=integrate(cosh(a*x)*sin(p*x),x)
 --R 
 --R
@@ -258,6 +723,70 @@ aa:=integrate(cosh(a*x)*sin(p*x),x)
 --R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 57
+bb:=(a*sinh(a*x)*sin(p*x)-p*cosh(a*x)*cos(p*x))/(a^2+p^2)
+--R
+--R        a sin(p x)sinh(a x) - p cos(p x)cosh(a x)
+--R   (2)  -----------------------------------------
+--R                          2    2
+--R                         p  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 58
+cc:=aa-bb
+--R
+--R   (3)
+--R                                           2               2
+--R       (- a sin(p x) - p cos(p x))sinh(a x)  + (a cosh(a x)  - a)sin(p x)
+--R     + 
+--R                          2
+--R       p cos(p x)cosh(a x)  - p cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 59
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (4)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 60
+dd:=coshsqrrule cc
+--R
+--R   (5)
+--R                                             2
+--R       (- 2a sin(p x) - 2p cos(p x))sinh(a x)  + (a cosh(2a x) - a)sin(p x)
+--R     + 
+--R       p cos(p x)cosh(2a x) - p cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (4p  + 4a )sinh(a x) + (4p  + 4a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 61
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (6)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 62     14:573 Schaums and Axiom agree
+ee:=sinhsqrrule dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.574~~~~~$\displaystyle
@@ -268,7 +797,7 @@ $$
 <<*>>=
 )clear all
 
---S 13 of 28
+--S 63
 aa:=integrate(cosh(a*x)*cos(p*x),x)
 --R 
 --R
@@ -285,6 +814,70 @@ aa:=integrate(cosh(a*x)*cos(p*x),x)
 --R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 64
+bb:=(a*sinh(a*x)*cos(p*x)+p*cosh(a*x)*sin(p*x))/(a^2+p^2)
+--R
+--R        a cos(p x)sinh(a x) + p cosh(a x)sin(p x)
+--R   (2)  -----------------------------------------
+--R                          2    2
+--R                         p  + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 65
+cc:=aa-bb
+--R
+--R   (3)
+--R                                         2                 2
+--R       (p sin(p x) - a cos(p x))sinh(a x)  + (- p cosh(a x)  + p)sin(p x)
+--R     + 
+--R                          2
+--R       a cos(p x)cosh(a x)  - a cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (2p  + 2a )sinh(a x) + (2p  + 2a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 66
+coshsqrrule:=rule(cosh(x)^2 == 1/2*cosh(2*x)+1/2)
+--R
+--R               2    cosh(2x) + 1
+--R   (4)  cosh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 67
+dd:=coshsqrrule cc
+--R
+--R   (5)
+--R                                           2
+--R       (2p sin(p x) - 2a cos(p x))sinh(a x)  + (- p cosh(2a x) + p)sin(p x)
+--R     + 
+--R       a cos(p x)cosh(2a x) - a cos(p x)
+--R  /
+--R        2     2                2     2
+--R     (4p  + 4a )sinh(a x) + (4p  + 4a )cosh(a x)
+--R                                                     Type: Expression Integer
+--E
+
+--S 68
+sinhsqrrule:=rule(sinh(x)^2 == 1/2*cosh(2*x)-1/2)
+--R
+--R               2    cosh(2x) - 1
+--R   (6)  sinh(x)  == ------------
+--R                          2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 69     14:574 Schaums and Axiom agree
+ee:=sinhsqrrule dd
+--R
+--R   (7)  0
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.575~~~~~$\displaystyle
@@ -295,7 +888,7 @@ $$
 <<*>>=
 )clear all
 
---S 14 of 28
+--S 70
 aa:=integrate(1/(cosh(a*x)+1),x)
 --R 
 --R
@@ -304,6 +897,112 @@ aa:=integrate(1/(cosh(a*x)+1),x)
 --R          a sinh(a x) + a cosh(a x) + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 71
+bb:=1/a*tanh((a*x)/2)
+--R
+--R             a x
+--R        tanh(---)
+--R              2
+--R   (2)  ---------
+--R            a
+--R                                                     Type: Expression Integer
+--E
+
+--S 72
+cc:=aa-bb
+--R
+--R                                          a x
+--R        (- sinh(a x) - cosh(a x) - 1)tanh(---) - 2
+--R                                           2
+--R   (3)  ------------------------------------------
+--R               a sinh(a x) + a cosh(a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 73
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (4)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 74
+dd:=tanhrule cc
+--R
+--R               a x                                   a x          a x
+--R        - sinh(---)sinh(a x) + (- cosh(a x) - 1)sinh(---) - 2cosh(---)
+--R                2                                     2            2
+--R   (5)  --------------------------------------------------------------
+--R                  a x                    a x                    a x
+--R           a cosh(---)sinh(a x) + a cosh(---)cosh(a x) + a cosh(---)
+--R                   2                      2                      2
+--R                                                     Type: Expression Integer
+--E
+
+--S 75
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                             %B sinh(y + x) - %B sinh(y - x)
+--I   (6)  %B cosh(y)sinh(x) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 76
+ee:=sinhcoshrule dd
+--R
+--R                  3a x          a x                  a x          a x
+--R           - sinh(----) - 2sinh(---)sinh(a x) - sinh(---) - 4cosh(---)
+--R                    2            2                    2            2
+--R   (7)  -----------------------------------------------------------------
+--R               3a x           a x            a x                     a x
+--R        a sinh(----) + a sinh(---) + 2a cosh(---)cosh(a x) + 2a cosh(---)
+--R                 2             2              2                       2
+--R                                                     Type: Expression Integer
+--E
+
+--S 77
+sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
+--R
+--I                             %B cosh(y + x) - %B cosh(y - x)
+--I   (8)  %B sinh(x)sinh(y) == -------------------------------
+--R                                            2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 78
+ff:=sinhsinhrule ee
+--R
+--R                       3a x         a x         3a x          a x
+--R                - sinh(----) - sinh(---) - cosh(----) - 3cosh(---)
+--R                         2           2            2            2
+--R   (9)  -----------------------------------------------------------------
+--R               3a x           a x            a x                     a x
+--R        a sinh(----) + a sinh(---) + 2a cosh(---)cosh(a x) + 2a cosh(---)
+--R                 2             2              2                       2
+--R                                                     Type: Expression Integer
+--E
+
+--S 79
+coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
+--R
+--I                               %BC cosh(y + x) + %BC cosh(y - x)
+--I   (10)  %BC cosh(x)cosh(y) == ---------------------------------
+--R                                               2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 80     14:575 Schaums and Axiom differ by a constant
+gg:=coshcoshrule ff
+--R
+--R           1
+--R   (11)  - -
+--R           a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.576~~~~~$\displaystyle
@@ -314,7 +1013,7 @@ $$
 <<*>>=
 )clear all
 
---S 15 of 28
+--S 81
 aa:=integrate(1/(cosh(a*x)-1),x)
 --R 
 --R
@@ -323,6 +1022,112 @@ aa:=integrate(1/(cosh(a*x)-1),x)
 --R          a sinh(a x) + a cosh(a x) - a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 82
+bb:=-1/a*coth((a*x)/2)
+--R
+--R               a x
+--R          coth(---)
+--R                2
+--R   (2)  - ---------
+--R              a
+--R                                                     Type: Expression Integer
+--E
+
+--S 83
+cc:=aa-bb
+--R
+--R             a x                                 a x
+--R        coth(---)sinh(a x) + (cosh(a x) - 1)coth(---) - 2
+--R              2                                   2
+--R   (3)  -------------------------------------------------
+--R                  a sinh(a x) + a cosh(a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 84
+cothrule:=rule(coth(x) == cosh(x)/sinh(x))
+--R
+--R                   cosh(x)
+--R   (4)  coth(x) == -------
+--R                   sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 85
+dd:=cothrule cc
+--R
+--R             a x                   a x         a x                  a x
+--R        cosh(---)sinh(a x) - 2sinh(---) + cosh(---)cosh(a x) - cosh(---)
+--R              2                     2           2                    2
+--R   (5)  ----------------------------------------------------------------
+--R                       a x                                   a x
+--R                a sinh(---)sinh(a x) + (a cosh(a x) - a)sinh(---)
+--R                        2                                     2
+--R                                                     Type: Expression Integer
+--E
+
+--S 86
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                              %BD sinh(y + x) - %BD sinh(y - x)
+--I   (6)  %BD cosh(y)sinh(x) == ---------------------------------
+--R                                              2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 87
+ee:=sinhcoshrule dd
+--R
+--R             3a x          a x          a x                   a x
+--R        sinh(----) - 3sinh(---) + 2cosh(---)cosh(a x) - 2cosh(---)
+--R               2            2            2                     2
+--R   (7)  ----------------------------------------------------------
+--R                   3a x            a x                     a x
+--R            a sinh(----) + 2a sinh(---)sinh(a x) - 3a sinh(---)
+--R                     2              2                       2
+--R                                                     Type: Expression Integer
+--E
+
+--S 88
+sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
+--R
+--I                              %BE cosh(y + x) - %BE cosh(y - x)
+--I   (8)  %BE sinh(x)sinh(y) == ---------------------------------
+--R                                              2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 89
+ff:=sinhsinhrule ee
+--R
+--R             3a x          a x          a x                   a x
+--R        sinh(----) - 3sinh(---) + 2cosh(---)cosh(a x) - 2cosh(---)
+--R               2            2            2                     2
+--R   (9)  ----------------------------------------------------------
+--R                3a x            a x           3a x           a x
+--R         a sinh(----) - 3a sinh(---) + a cosh(----) - a cosh(---)
+--R                  2              2              2             2
+--R                                                     Type: Expression Integer
+--E
+
+--S 90
+coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
+--R
+--I                               %BF cosh(y + x) + %BF cosh(y - x)
+--I   (10)  %BF cosh(x)cosh(y) == ---------------------------------
+--R                                               2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 91     14:576 Schaums and Axiom differ by a constant
+gg:=coshcoshrule ff
+--R
+--R         1
+--R   (11)  -
+--R         a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.577~~~~~$\displaystyle
@@ -333,7 +1138,7 @@ $$
 <<*>>=
 )clear all
 
---S 16 of 28
+--S 92
 aa:=integrate(x/(cosh(a*x)+1),x)
 --R 
 --R
@@ -346,6 +1151,181 @@ aa:=integrate(x/(cosh(a*x)+1),x)
 --R     a sinh(a x) + a cosh(a x) + a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 93
+bb:=x/a*tanh((a*x)/2)-2/a^2*log(cosh((a*x)/2))
+--R
+--R                    a x              a x
+--R        - 2log(cosh(---)) + a x tanh(---)
+--R                     2                2
+--R   (2)  ---------------------------------
+--R                         2
+--R                        a
+--R                                                     Type: Expression Integer
+--E
+
+--S 94
+cc:=aa-bb
+--R
+--R   (3)
+--R       (- 2sinh(a x) - 2cosh(a x) - 2)log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R                                             a x
+--R       (2sinh(a x) + 2cosh(a x) + 2)log(cosh(---))
+--R                                              2
+--R     + 
+--R                                                   a x
+--R       (- a x sinh(a x) - a x cosh(a x) - a x)tanh(---) + 2a x sinh(a x)
+--R                                                    2
+--R     + 
+--R       2a x cosh(a x)
+--R  /
+--R      2             2             2
+--R     a sinh(a x) + a cosh(a x) + a
+--R                                                     Type: Expression Integer
+--E
+
+--S 95
+tanhrule:=rule(tanh(x) == sinh(x)/cosh(x))
+--R
+--R                   sinh(x)
+--R   (4)  tanh(x) == -------
+--R                   cosh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 96
+dd:=tanhrule cc
+--R
+--R   (5)
+--R                  a x                   a x                   a x
+--R         (- 2cosh(---)sinh(a x) - 2cosh(---)cosh(a x) - 2cosh(---))
+--R                   2                     2                     2
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R              a x                   a x                   a x           a x
+--R       (2cosh(---)sinh(a x) + 2cosh(---)cosh(a x) + 2cosh(---))log(cosh(---))
+--R               2                     2                     2             2
+--R     + 
+--R                   a x              a x
+--R       (- a x sinh(---) + 2a x cosh(---))sinh(a x)
+--R                    2                2
+--R     + 
+--R                                   a x              a x
+--R       (- a x cosh(a x) - a x)sinh(---) + 2a x cosh(---)cosh(a x)
+--R                                    2                2
+--R  /
+--R      2     a x              2     a x              2     a x
+--R     a cosh(---)sinh(a x) + a cosh(---)cosh(a x) + a cosh(---)
+--R             2                      2                      2
+--R                                                     Type: Expression Integer
+--E
+
+--S 97
+coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
+--R
+--I                              %BG cosh(y + x) + %BG cosh(y - x)
+--I   (6)  %BG cosh(x)cosh(y) == ---------------------------------
+--R                                              2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 98
+ee:=coshcoshrule dd
+--R
+--R   (7)
+--R                  a x                   3a x          a x
+--R         (- 4cosh(---)sinh(a x) - 2cosh(----) - 6cosh(---))
+--R                   2                      2            2
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R              a x                   3a x          a x           a x
+--R       (4cosh(---)sinh(a x) + 2cosh(----) + 6cosh(---))log(cosh(---))
+--R               2                      2            2             2
+--R     + 
+--R                    a x              a x
+--R       (- 2a x sinh(---) + 4a x cosh(---))sinh(a x)
+--R                     2                2
+--R     + 
+--R                                     a x              3a x              a x
+--R       (- 2a x cosh(a x) - 2a x)sinh(---) + 2a x cosh(----) + 2a x cosh(---)
+--R                                      2                 2                2
+--R  /
+--R       2     a x              2     3a x      2     a x
+--R     2a cosh(---)sinh(a x) + a cosh(----) + 3a cosh(---)
+--R              2                       2              2
+--R                                                     Type: Expression Integer
+--E
+
+--S 99
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                              %BH sinh(y + x) - %BH sinh(y - x)
+--I   (8)  %BH cosh(y)sinh(x) == ---------------------------------
+--R                                              2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 100
+ff:=sinhcoshrule ee
+--R
+--R   (9)
+--R                  3a x          a x          3a x          a x
+--R         (- 2sinh(----) - 2sinh(---) - 2cosh(----) - 6cosh(---))
+--R                    2            2             2            2
+--R      *
+--R         log(sinh(a x) + cosh(a x) + 1)
+--R     + 
+--R              3a x          a x          3a x          a x           a x
+--R       (2sinh(----) + 2sinh(---) + 2cosh(----) + 6cosh(---))log(cosh(---))
+--R                2            2             2            2             2
+--R     + 
+--R                3a x              a x                      a x
+--R       a x sinh(----) - 2a x sinh(---)sinh(a x) + a x sinh(---)
+--R                  2                2                        2
+--R     + 
+--R                 3a x              a x
+--R       2a x cosh(----) + 2a x cosh(---)
+--R                   2                2
+--R  /
+--R      2     3a x     2     a x     2     3a x      2     a x
+--R     a sinh(----) + a sinh(---) + a cosh(----) + 3a cosh(---)
+--R              2             2              2              2
+--R                                                     Type: Expression Integer
+--E
+
+--S 101
+sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
+--R
+--I                               %BI cosh(y + x) - %BI cosh(y - x)
+--I   (10)  %BI sinh(x)sinh(y) == ---------------------------------
+--R                                               2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 102
+gg:=sinhsinhrule ff
+--R
+--R                                                       a x
+--R         - 2log(sinh(a x) + cosh(a x) + 1) + 2log(cosh(---)) + a x
+--R                                                        2
+--R   (11)  ---------------------------------------------------------
+--R                                      2
+--R                                     a
+--R                                                     Type: Expression Integer
+--E
+
+--S 103    14:577 Schaums and Axiom differ by a constant
+complexNormalize gg
+--R
+--R           2log(2)
+--R   (12)  - -------
+--R               2
+--R              a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.578~~~~~$\displaystyle
@@ -356,7 +1336,7 @@ $$
 <<*>>=
 )clear all
 
---S 17 of 28
+--S 104
 aa:=integrate(x/(cosh(a*x)-1),x)
 --R 
 --R
@@ -369,6 +1349,181 @@ aa:=integrate(x/(cosh(a*x)-1),x)
 --R     a sinh(a x) + a cosh(a x) - a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 105
+bb:=-x/a*coth((a*x)/2)+2/a^2*log(sinh((a*x)/2))
+--R
+--R                  a x              a x
+--R        2log(sinh(---)) - a x coth(---)
+--R                   2                2
+--R   (2)  -------------------------------
+--R                        2
+--R                       a
+--R                                                     Type: Expression Integer
+--E
+
+--S 106
+cc:=aa-bb
+--R
+--R   (3)
+--R       (2sinh(a x) + 2cosh(a x) - 2)log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                                               a x
+--R       (- 2sinh(a x) - 2cosh(a x) + 2)log(sinh(---))
+--R                                                2
+--R     + 
+--R                 a x                                               a x
+--R       (a x coth(---) - 2a x)sinh(a x) + (a x cosh(a x) - a x)coth(---)
+--R                  2                                                 2
+--R     + 
+--R       - 2a x cosh(a x)
+--R  /
+--R      2             2             2
+--R     a sinh(a x) + a cosh(a x) - a
+--R                                                     Type: Expression Integer
+--E
+
+--S 107
+cothrule:=rule(coth(x) == cosh(x)/sinh(x))
+--R
+--R                   cosh(x)
+--R   (4)  coth(x) == -------
+--R                   sinh(x)
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 108
+dd:=cothrule cc
+--R
+--R   (5)
+--R                a x                                  a x
+--R         (2sinh(---)sinh(a x) + (2cosh(a x) - 2)sinh(---))
+--R                 2                                    2
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                a x                                    a x           a x
+--R       (- 2sinh(---)sinh(a x) + (- 2cosh(a x) + 2)sinh(---))log(sinh(---))
+--R                 2                                      2             2
+--R     + 
+--R                    a x             a x                                 a x
+--R       (- 2a x sinh(---) + a x cosh(---))sinh(a x) - 2a x cosh(a x)sinh(---)
+--R                     2               2                                   2
+--R     + 
+--R                a x                      a x
+--R       a x cosh(---)cosh(a x) - a x cosh(---)
+--R                 2                        2
+--R  /
+--R      2     a x               2             2      a x
+--R     a sinh(---)sinh(a x) + (a cosh(a x) - a )sinh(---)
+--R             2                                      2
+--R                                                     Type: Expression Integer
+--E
+
+--S 109
+sinhcoshrule:=rule(sinh(x)*cosh(y) == 1/2*(sinh(x+y)+sinh(x-y)))
+--R
+--I                              %BJ sinh(y + x) - %BJ sinh(y - x)
+--I   (6)  %BJ cosh(y)sinh(x) == ---------------------------------
+--R                                              2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 110
+ee:=sinhcoshrule dd
+--R
+--R   (7)
+--R                3a x          a x                   a x
+--R         (2sinh(----) + 4sinh(---)sinh(a x) - 6sinh(---))
+--R                  2            2                     2
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                3a x          a x                   a x           a x
+--R       (- 2sinh(----) - 4sinh(---)sinh(a x) + 6sinh(---))log(sinh(---))
+--R                  2            2                     2             2
+--R     + 
+--R                  3a x              a x                       a x
+--R       - a x sinh(----) - 4a x sinh(---)sinh(a x) + 3a x sinh(---)
+--R                    2                2                         2
+--R     + 
+--R                 a x                       a x
+--R       2a x cosh(---)cosh(a x) - 2a x cosh(---)
+--R                  2                         2
+--R  /
+--R      2     3a x      2     a x               2     a x
+--R     a sinh(----) + 2a sinh(---)sinh(a x) - 3a sinh(---)
+--R              2              2                       2
+--R                                                     Type: Expression Integer
+--E
+
+--S 111
+sinhsinhrule:=rule(sinh(x)*sinh(y)==1/2*(cosh(x+y)-cosh(x-y)))
+--R
+--I                              %BK cosh(y + x) - %BK cosh(y - x)
+--I   (8)  %BK sinh(x)sinh(y) == ---------------------------------
+--R                                              2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 112
+ff:=sinhsinhrule ee
+--R
+--R   (9)
+--R                3a x          a x          3a x          a x
+--R         (2sinh(----) - 6sinh(---) + 2cosh(----) - 2cosh(---))
+--R                  2            2             2            2
+--R      *
+--R         log(sinh(a x) + cosh(a x) - 1)
+--R     + 
+--R                3a x          a x          3a x          a x           a x
+--R       (- 2sinh(----) + 6sinh(---) - 2cosh(----) + 2cosh(---))log(sinh(---))
+--R                  2            2             2            2             2
+--R     + 
+--R                  3a x              a x              3a x
+--R       - a x sinh(----) + 3a x sinh(---) - 2a x cosh(----)
+--R                    2                2                 2
+--R     + 
+--R                 a x
+--R       2a x cosh(---)cosh(a x)
+--R                  2
+--R  /
+--R      2     3a x      2     a x     2     3a x     2     a x
+--R     a sinh(----) - 3a sinh(---) + a cosh(----) - a cosh(---)
+--R              2              2              2             2
+--R                                                     Type: Expression Integer
+--E
+
+--S 113
+coshcoshrule:=rule(cosh(x)*cosh(y)==1/2*(cosh(x+y)+cosh(x-y)))
+--R
+--I                               %BL cosh(y + x) + %BL cosh(y - x)
+--I   (10)  %BL cosh(x)cosh(y) == ---------------------------------
+--R                                               2
+--R                        Type: RewriteRule(Integer,Integer,Expression Integer)
+--E
+
+--S 114
+gg:=coshcoshrule ff
+--R
+--R                                                     a x
+--R         2log(sinh(a x) + cosh(a x) - 1) - 2log(sinh(---)) - a x
+--R                                                      2
+--R   (11)  -------------------------------------------------------
+--R                                     2
+--R                                    a
+--R                                                     Type: Expression Integer
+--E
+
+--S 115    14:578 Schaums and Axiom differ by a constant
+hh:=complexNormalize gg
+--R
+--R         2log(2)
+--R   (12)  -------
+--R             2
+--R            a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.579~~~~~$\displaystyle
@@ -379,7 +1534,7 @@ $$
 <<*>>=
 )clear all
 
---S 18 of 28
+--S 116
 aa:=integrate(1/(cosh(a*x)+1)^2,x)
 --R 
 --R
@@ -396,6 +1551,59 @@ aa:=integrate(1/(cosh(a*x)+1)^2,x)
 --R       9a cosh(a x)  + 9a cosh(a x) + 3a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 117
+bb:=1/(2*a)*tanh((a*x)/2)-1/(6*a)*tanh((a*x)/2)^3
+--R
+--R               a x 3         a x
+--R        - tanh(---)  + 3tanh(---)
+--R                2             2
+--R   (2)  -------------------------
+--R                    6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 118    14:579 Axiom cannot compute this integral
+cc:=aa-bb
+--R
+--R   (3)
+--R                    3                            2
+--R           sinh(a x)  + (3cosh(a x) + 3)sinh(a x)
+--R         + 
+--R                      2                                       3             2
+--R           (3cosh(a x)  + 6cosh(a x) + 3)sinh(a x) + cosh(a x)  + 3cosh(a x)
+--R         + 
+--R           3cosh(a x) + 1
+--R      *
+--R              a x 3
+--R         tanh(---)
+--R               2
+--R     + 
+--R                       3                              2
+--R           - 3sinh(a x)  + (- 9cosh(a x) - 9)sinh(a x)
+--R         + 
+--R                        2                                         3
+--R           (- 9cosh(a x)  - 18cosh(a x) - 9)sinh(a x) - 3cosh(a x)
+--R         + 
+--R                       2
+--R           - 9cosh(a x)  - 9cosh(a x) - 3
+--R      *
+--R              a x
+--R         tanh(---)
+--R               2
+--R     + 
+--R       - 12sinh(a x) - 12cosh(a x) - 4
+--R  /
+--R                   3                                 2
+--R       6a sinh(a x)  + (18a cosh(a x) + 18a)sinh(a x)
+--R     + 
+--R                     2                                               3
+--R       (18a cosh(a x)  + 36a cosh(a x) + 18a)sinh(a x) + 6a cosh(a x)
+--R     + 
+--R                    2
+--R       18a cosh(a x)  + 18a cosh(a x) + 6a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.580~~~~~$\displaystyle
@@ -406,7 +1614,7 @@ $$
 <<*>>=
 )clear all
 
---S 19 of 28
+--S 119
 aa:=integrate(1/(cosh(a*x)-1)^2,x)
 --R 
 --R
@@ -423,6 +1631,58 @@ aa:=integrate(1/(cosh(a*x)-1)^2,x)
 --R       - 9a cosh(a x)  + 9a cosh(a x) - 3a
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 120
+bb:=1/(2*a)*coth((a*x)/2)-1/(6*a)*coth((a*x)/2)^3
+--R
+--R               a x 3         a x
+--R        - coth(---)  + 3coth(---)
+--R                2             2
+--R   (2)  -------------------------
+--R                    6a
+--R                                                     Type: Expression Integer
+--E
+
+--S 121    14:580 Axiom cannot compute this integral
+cc:=aa-bb
+--R
+--R   (3)
+--R             a x 3         a x           3
+--R       (coth(---)  - 3coth(---))sinh(a x)
+--R              2             2
+--R     + 
+--R                             a x 3                          a x           2
+--R       ((3cosh(a x) - 3)coth(---)  + (- 9cosh(a x) + 9)coth(---))sinh(a x)
+--R                              2                              2
+--R     + 
+--R                      2                       a x 3
+--R           (3cosh(a x)  - 6cosh(a x) + 3)coth(---)
+--R                                               2
+--R         + 
+--R                        2                        a x
+--R           (- 9cosh(a x)  + 18cosh(a x) - 9)coth(---) - 12
+--R                                                  2
+--R      *
+--R         sinh(a x)
+--R     + 
+--R                 3             2                       a x 3
+--R       (cosh(a x)  - 3cosh(a x)  + 3cosh(a x) - 1)coth(---)
+--R                                                        2
+--R     + 
+--R                  3             2                       a x
+--R     (- 3cosh(a x)  + 9cosh(a x)  - 9cosh(a x) + 3)coth(---) - 12cosh(a x) + 4
+--R                                                         2
+--R  /
+--R                   3                                 2
+--R       6a sinh(a x)  + (18a cosh(a x) - 18a)sinh(a x)
+--R     + 
+--R                     2                                               3
+--R       (18a cosh(a x)  - 36a cosh(a x) + 18a)sinh(a x) + 6a cosh(a x)
+--R     + 
+--R                      2
+--R       - 18a cosh(a x)  + 18a cosh(a x) - 6a
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.581~~~~~$\displaystyle
@@ -442,7 +1702,7 @@ $$
 <<*>>=
 )clear all
 
---S 20 of 28
+--S 122
 aa:=integrate(1/(p+q*cosh(a*x)),x)
 --R 
 --R
@@ -483,6 +1743,159 @@ aa:=integrate(1/(p+q*cosh(a*x)),x)
 --R                       a\|q  - p
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 123
+bb1:=2/(a*sqrt(q^2-p^2))*atan((q*%e^(a*x)+p)/sqrt(q^2-p^2))
+--R
+--R                  a x
+--R              q %e    + p
+--R        2atan(-----------)
+--R                +-------+
+--R                | 2    2
+--R               \|q  - p
+--R   (2)  ------------------
+--R              +-------+
+--R              | 2    2
+--R            a\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 124
+bb2:=1/(a*sqrt(p^2-q^2))*log((q*%e^(a*x)+p-sqrt(p^2-q^2))/(q*%e^(a*x)+p+sqrt(p^2-q^2)))
+--R
+--R               +---------+
+--R               |   2    2        a x
+--R            - \|- q  + p   + q %e    + p
+--R        log(----------------------------)
+--R              +---------+
+--R              |   2    2        a x
+--R             \|- q  + p   + q %e    + p
+--R   (3)  ---------------------------------
+--R                    +---------+
+--R                    |   2    2
+--R                  a\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 125
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R          +-------+
+--R          | 2    2
+--R         \|q  - p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R           +---------+         a x
+--R           |   2    2      q %e    + p
+--R       - 2\|- q  + p  atan(-----------)
+--R                             +-------+
+--R                             | 2    2
+--R                            \|q  - p
+--R  /
+--R       +---------+ +-------+
+--R       |   2    2  | 2    2
+--R     a\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 126
+cc2:=aa.2-bb1
+--R
+--R                                              +-------+
+--R                                              | 2    2               a x
+--R              (q sinh(a x) + q cosh(a x) + p)\|q  - p            q %e    + p
+--R        2atan(-----------------------------------------) - 2atan(-----------)
+--R                                2    2                             +-------+
+--R                               q  - p                              | 2    2
+--R                                                                  \|q  - p
+--R   (5)  ---------------------------------------------------------------------
+--R                                       +-------+
+--R                                       | 2    2
+--R                                     a\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 127
+cc3:=aa.1-bb2
+--R
+--R   (6)
+--R       log
+--R                   2         2      2                              2         2
+--R                  q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                + 
+--R                                    2     2
+--R                  2p q cosh(a x) - q  + 2p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                 3     2                 3     2                  2     3
+--R              (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R         /
+--R                         2                                             2
+--R              q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R            + 
+--R              2p cosh(a x) + q
+--R     + 
+--R                +---------+
+--R                |   2    2        a x
+--R             - \|- q  + p   + q %e    + p
+--R       - log(----------------------------)
+--R               +---------+
+--R               |   2    2        a x
+--R              \|- q  + p   + q %e    + p
+--R  /
+--R       +---------+
+--R       |   2    2
+--R     a\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 128    14:581 Axiom cannot simplify this expression
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R                          +---------+
+--R          +-------+       |   2    2        a x
+--R          | 2    2     - \|- q  + p   + q %e    + p
+--R       - \|q  - p  log(----------------------------)
+--R                         +---------+
+--R                         |   2    2        a x
+--R                        \|- q  + p   + q %e    + p
+--R     + 
+--R                                                         +-------+
+--R         +---------+                                     | 2    2
+--R         |   2    2      (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R       2\|- q  + p  atan(-----------------------------------------)
+--R                                           2    2
+--R                                          q  - p
+--R  /
+--R       +---------+ +-------+
+--R       |   2    2  | 2    2
+--R     a\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.582~~~~~$\displaystyle
@@ -494,7 +1907,7 @@ $$
 <<*>>=
 )clear all
 
---S 21 of 28
+--S 129
 aa:=integrate(1/(p+q*cosh(a*x))^2,x)
 --R 
 --R
@@ -575,6 +1988,408 @@ aa:=integrate(1/(p+q*cosh(a*x))^2,x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 130
+t1:=integrate(1/(p+q*cosh(a*x)),x)
+--R
+--R   (2)
+--R   [
+--R       log
+--R                   2         2      2                              2         2
+--R                  q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                + 
+--R                                    2     2
+--R                  2p q cosh(a x) - q  + 2p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                 3     2                 3     2                  2     3
+--R              (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R         /
+--R                         2                                             2
+--R              q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R            + 
+--R              2p cosh(a x) + q
+--R    /
+--R         +---------+
+--R         |   2    2
+--R       a\|- q  + p
+--R     ,
+--R                                          +-------+
+--R                                          | 2    2
+--R          (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R    2atan(-----------------------------------------)
+--R                            2    2
+--R                           q  - p
+--R    ------------------------------------------------]
+--R                         +-------+
+--R                         | 2    2
+--R                       a\|q  - p
+--R                                     Type: Union(List Expression Integer,...)
+--E
+
+--S 131
+bb1:=(q*sinh(a*x))/(a*(q^2-p^2)*(p+q*cosh(a*x)))-p/(q^2-p^2)*t1.1
+--R
+--R   (3)
+--R                             2
+--R         (- p q cosh(a x) - p )
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R                   +---------+
+--R                   |   2    2
+--R       q sinh(a x)\|- q  + p
+--R  /
+--R                                               +---------+
+--R          3      2                   2      3  |   2    2
+--R     ((a q  - a p q)cosh(a x) + a p q  - a p )\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 132
+bb2:=(q*sinh(a*x))/(a*(q^2-p^2)*(p+q*cosh(a*x)))-p/(q^2-p^2)*t1.2
+--R
+--R   (4)
+--R                                                                    +-------+
+--R                                                                    | 2    2
+--R                             2      (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R       (- 2p q cosh(a x) - 2p )atan(-----------------------------------------)
+--R                                                      2    2
+--R                                                     q  - p
+--R     + 
+--R                   +-------+
+--R                   | 2    2
+--R       q sinh(a x)\|q  - p
+--R  /
+--R                                               +-------+
+--R          3      2                   2      3  | 2    2
+--R     ((a q  - a p q)cosh(a x) + a p q  - a p )\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 133
+cc1:=aa.1-bb1
+--R
+--R   (5)
+--R               2             2           2
+--R           (p q cosh(a x) + p q)sinh(a x)
+--R         + 
+--R                2         2     2                3                2         3
+--R           (2p q cosh(a x)  + 4p q cosh(a x) + 2p )sinh(a x) + p q cosh(a x)
+--R         + 
+--R             2           2       2     3              2
+--R           3p q cosh(a x)  + (p q  + 2p )cosh(a x) + p q
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R               2             2           2
+--R           (p q cosh(a x) + p q)sinh(a x)
+--R         + 
+--R                2         2     2                3                2         3
+--R           (2p q cosh(a x)  + 4p q cosh(a x) + 2p )sinh(a x) + p q cosh(a x)
+--R         + 
+--R             2           2       2     3              2
+--R           3p q cosh(a x)  + (p q  + 2p )cosh(a x) + p q
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  + 2p q)sinh(a x) + (- 2q  + 2p q)cosh(a x) - 2p q  + 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R              2         3        2                          2
+--R           - q sinh(a x)  + (- 2q cosh(a x) - 2p q)sinh(a x)
+--R         + 
+--R               2         2                     2     2
+--R           (- q cosh(a x)  - 4p q cosh(a x) - q  - 2p )sinh(a x)
+--R         + 
+--R                           2        2     2
+--R           - 2p q cosh(a x)  + (- 2q  - 2p )cosh(a x) - 2p q
+--R      *
+--R          +---------+
+--R          |   2    2
+--R         \|- q  + p
+--R  /
+--R              4      2 2                  3      3           2
+--R         ((a q  - a p q )cosh(a x) + a p q  - a p q)sinh(a x)
+--R       + 
+--R                  4       2 2          2          3       3                  2 2
+--R             (2a q  - 2a p q )cosh(a x)  + (4a p q  - 4a p q)cosh(a x) + 2a p q
+--R           + 
+--R                   4
+--R             - 2a p
+--R        *
+--R           sinh(a x)
+--R       + 
+--R             4      2 2          3          3       3           2
+--R         (a q  - a p q )cosh(a x)  + (3a p q  - 3a p q)cosh(a x)
+--R       + 
+--R             4      2 2       4                  3      3
+--R         (a q  + a p q  - 2a p )cosh(a x) + a p q  - a p q
+--R    *
+--R        +---------+
+--R        |   2    2
+--R       \|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 134
+cc2:=aa.2-bb1
+--R
+--R   (6)
+--R               2             2           2
+--R           (p q cosh(a x) + p q)sinh(a x)
+--R         + 
+--R                2         2     2                3                2         3
+--R           (2p q cosh(a x)  + 4p q cosh(a x) + 2p )sinh(a x) + p q cosh(a x)
+--R         + 
+--R             2           2       2     3              2
+--R           3p q cosh(a x)  + (p q  + 2p )cosh(a x) + p q
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  - p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                   3     2                 3     2                  2     3
+--R                (2q  - 2p q)sinh(a x) + (2q  - 2p q)cosh(a x) + 2p q  - 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R                  2              2           2
+--R           (- 2p q cosh(a x) - 2p q)sinh(a x)
+--R         + 
+--R                  2         2     2                3                 2         3
+--R           (- 4p q cosh(a x)  - 8p q cosh(a x) - 4p )sinh(a x) - 2p q cosh(a x)
+--R         + 
+--R               2           2          2     3               2
+--R           - 6p q cosh(a x)  + (- 2p q  - 4p )cosh(a x) - 2p q
+--R      *
+--R                                                          +-------+
+--R          +---------+                                     | 2    2
+--R          |   2    2      (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R         \|- q  + p  atan(-----------------------------------------)
+--R                                            2    2
+--R                                           q  - p
+--R     + 
+--R              2         3        2                          2
+--R           - q sinh(a x)  + (- 2q cosh(a x) - 2p q)sinh(a x)
+--R         + 
+--R               2         2                     2     2
+--R           (- q cosh(a x)  - 4p q cosh(a x) - q  - 2p )sinh(a x)
+--R         + 
+--R                           2        2     2
+--R           - 2p q cosh(a x)  + (- 2q  - 2p )cosh(a x) - 2p q
+--R      *
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R         \|- q  + p  \|q  - p
+--R  /
+--R              4      2 2                  3      3           2
+--R         ((a q  - a p q )cosh(a x) + a p q  - a p q)sinh(a x)
+--R       + 
+--R                  4       2 2          2          3       3                  2 2
+--R             (2a q  - 2a p q )cosh(a x)  + (4a p q  - 4a p q)cosh(a x) + 2a p q
+--R           + 
+--R                   4
+--R             - 2a p
+--R        *
+--R           sinh(a x)
+--R       + 
+--R             4      2 2          3          3       3           2
+--R         (a q  - a p q )cosh(a x)  + (3a p q  - 3a p q)cosh(a x)
+--R       + 
+--R             4      2 2       4                  3      3
+--R         (a q  + a p q  - 2a p )cosh(a x) + a p q  - a p q
+--R    *
+--R        +---------+ +-------+
+--R        |   2    2  | 2    2
+--R       \|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 135
+cc3:=aa.1-bb2
+--R
+--R   (7)
+--R               2             2           2
+--R           (p q cosh(a x) + p q)sinh(a x)
+--R         + 
+--R                2         2     2                3                2         3
+--R           (2p q cosh(a x)  + 4p q cosh(a x) + 2p )sinh(a x) + p q cosh(a x)
+--R         + 
+--R             2           2       2     3              2
+--R           3p q cosh(a x)  + (p q  + 2p )cosh(a x) + p q
+--R      *
+--R          +-------+
+--R          | 2    2
+--R         \|q  - p
+--R      *
+--R         log
+--R                     2         2      2                              2         2
+--R                    q sinh(a x)  + (2q cosh(a x) + 2p q)sinh(a x) + q cosh(a x)
+--R                  + 
+--R                                      2     2
+--R                    2p q cosh(a x) - q  + 2p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                     3     2                   3     2                  2     3
+--R                (- 2q  + 2p q)sinh(a x) + (- 2q  + 2p q)cosh(a x) - 2p q  + 2p
+--R           /
+--R                           2                                             2
+--R                q sinh(a x)  + (2q cosh(a x) + 2p)sinh(a x) + q cosh(a x)
+--R              + 
+--R                2p cosh(a x) + q
+--R     + 
+--R                2              2           2
+--R           (2p q cosh(a x) + 2p q)sinh(a x)
+--R         + 
+--R                2         2     2                3                 2         3
+--R           (4p q cosh(a x)  + 8p q cosh(a x) + 4p )sinh(a x) + 2p q cosh(a x)
+--R         + 
+--R             2           2        2     3               2
+--R           6p q cosh(a x)  + (2p q  + 4p )cosh(a x) + 2p q
+--R      *
+--R                                                          +-------+
+--R          +---------+                                     | 2    2
+--R          |   2    2      (q sinh(a x) + q cosh(a x) + p)\|q  - p
+--R         \|- q  + p  atan(-----------------------------------------)
+--R                                            2    2
+--R                                           q  - p
+--R     + 
+--R              2         3        2                          2
+--R           - q sinh(a x)  + (- 2q cosh(a x) - 2p q)sinh(a x)
+--R         + 
+--R               2         2                     2     2
+--R           (- q cosh(a x)  - 4p q cosh(a x) - q  - 2p )sinh(a x)
+--R         + 
+--R                           2        2     2
+--R           - 2p q cosh(a x)  + (- 2q  - 2p )cosh(a x) - 2p q
+--R      *
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R         \|- q  + p  \|q  - p
+--R  /
+--R              4      2 2                  3      3           2
+--R         ((a q  - a p q )cosh(a x) + a p q  - a p q)sinh(a x)
+--R       + 
+--R                  4       2 2          2          3       3                  2 2
+--R             (2a q  - 2a p q )cosh(a x)  + (4a p q  - 4a p q)cosh(a x) + 2a p q
+--R           + 
+--R                   4
+--R             - 2a p
+--R        *
+--R           sinh(a x)
+--R       + 
+--R             4      2 2          3          3       3           2
+--R         (a q  - a p q )cosh(a x)  + (3a p q  - 3a p q)cosh(a x)
+--R       + 
+--R             4      2 2       4                  3      3
+--R         (a q  + a p q  - 2a p )cosh(a x) + a p q  - a p q
+--R    *
+--R        +---------+ +-------+
+--R        |   2    2  | 2    2
+--R       \|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 136    14:582 Axiom cannot simplify this expression
+cc4:=aa.2-bb2
+--R
+--R   (8)
+--R          2         3        2                          2
+--R       - q sinh(a x)  + (- 2q cosh(a x) - 2p q)sinh(a x)
+--R     + 
+--R           2         2                     2     2                           2
+--R       (- q cosh(a x)  - 4p q cosh(a x) - q  - 2p )sinh(a x) - 2p q cosh(a x)
+--R     + 
+--R            2     2
+--R       (- 2q  - 2p )cosh(a x) - 2p q
+--R  /
+--R            4      2 2                  3      3           2
+--R       ((a q  - a p q )cosh(a x) + a p q  - a p q)sinh(a x)
+--R     + 
+--R                4       2 2          2          3       3                  2 2
+--R           (2a q  - 2a p q )cosh(a x)  + (4a p q  - 4a p q)cosh(a x) + 2a p q
+--R         + 
+--R                 4
+--R           - 2a p
+--R      *
+--R         sinh(a x)
+--R     + 
+--R           4      2 2          3          3       3           2
+--R       (a q  - a p q )cosh(a x)  + (3a p q  - 3a p q)cosh(a x)
+--R     + 
+--R           4      2 2       4                  3      3
+--R       (a q  + a p q  - 2a p )cosh(a x) + a p q  - a p q
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.583~~~~~$\displaystyle
@@ -594,7 +2409,7 @@ $$
 <<*>>=
 )clear all
 
---S 22 of 28
+--S 137
 aa:=integrate(1/(p^2-q^2*cosh(a*x)^2),x)
 --R 
 --R
@@ -661,6 +2476,219 @@ aa:=integrate(1/(p^2-q^2*cosh(a*x)^2),x)
 --R     ]
 --R                                     Type: Union(List Expression Integer,...)
 --E 
+
+--S 138
+bb1:=1/(2*a*p*sqrt(p^2-q^2))*log((p*tanh(a*x)+sqrt(p^2-q^2))/(p*tanh(a*x)-sqrt(p^2-q^2)))
+--R
+--R               +---------+
+--R               |   2    2
+--R            - \|- q  + p   - p tanh(a x)
+--R        log(----------------------------)
+--R              +---------+
+--R              |   2    2
+--R             \|- q  + p   - p tanh(a x)
+--R   (2)  ---------------------------------
+--R                      +---------+
+--R                      |   2    2
+--R                 2a p\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 139
+bb2:=-1/(a*p*sqrt(q^2-p^2))*atan((p*tanh(a*x))/sqrt(q^2-p^2))
+--R
+--R               p tanh(a x)
+--R          atan(-----------)
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  - p
+--R   (3)  - -----------------
+--R                +-------+
+--R                | 2    2
+--R            a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 140
+cc1:=aa.1-bb1
+--R
+--R   (4)
+--R       log
+--R                   4         4     4                  3
+--R                  q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                + 
+--R                     4         2     4     2 2          2
+--R                  (6q cosh(a x)  + 2q  - 4p q )sinh(a x)
+--R                + 
+--R                     4         3      4     2 2
+--R                  (4q cosh(a x)  + (4q  - 8p q )cosh(a x))sinh(a x)
+--R                + 
+--R                   4         4      4     2 2          2    4     2 2     4
+--R                  q cosh(a x)  + (2q  - 4p q )cosh(a x)  + q  - 8p q  + 8p
+--R             *
+--R                 +---------+
+--R                 |   2    2
+--R                \|- q  + p
+--R            + 
+--R                     4     3 2          2          4     3 2
+--R              (- 4p q  + 4p q )sinh(a x)  + (- 8p q  + 8p q )cosh(a x)sinh(a x)
+--R            + 
+--R                     4     3 2          2       4      3 2     5
+--R              (- 4p q  + 4p q )cosh(a x)  - 4p q  + 12p q  - 8p
+--R         /
+--R               2         4     2                  3
+--R              q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R            + 
+--R                 2         2     2     2          2
+--R              (6q cosh(a x)  + 2q  - 4p )sinh(a x)
+--R            + 
+--R                 2         3      2     2                        2         4
+--R              (4q cosh(a x)  + (4q  - 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R            + 
+--R                 2     2          2    2
+--R              (2q  - 4p )cosh(a x)  + q
+--R     + 
+--R                +---------+
+--R                |   2    2
+--R             - \|- q  + p   - p tanh(a x)
+--R       - log(----------------------------)
+--R               +---------+
+--R               |   2    2
+--R              \|- q  + p   - p tanh(a x)
+--R  /
+--R          +---------+
+--R          |   2    2
+--R     2a p\|- q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 141
+cc2:=aa.2-bb1
+--R
+--R   (5)
+--R                          +---------+
+--R          +-------+       |   2    2
+--R          | 2    2     - \|- q  + p   - p tanh(a x)
+--R       - \|q  - p  log(----------------------------)
+--R                         +---------+
+--R                         |   2    2
+--R                        \|- q  + p   - p tanh(a x)
+--R     + 
+--R       -
+--R              +---------+
+--R              |   2    2
+--R            2\|- q  + p
+--R         *
+--R            atan
+--R                      2         2     2                      2         2    2
+--R                     q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  + q
+--R                   + 
+--R                         2
+--R                     - 2p
+--R                *
+--R                    +-------+
+--R                    | 2    2
+--R                   \|q  - p
+--R              /
+--R                     2     3
+--R                 2p q  - 2p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 142
+cc3:=aa.1-bb2
+--R
+--R   (6)
+--R          +-------+
+--R          | 2    2
+--R         \|q  - p
+--R      *
+--R         log
+--R                     4         4     4                  3
+--R                    q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                  + 
+--R                       4         2     4     2 2          2
+--R                    (6q cosh(a x)  + 2q  - 4p q )sinh(a x)
+--R                  + 
+--R                       4         3      4     2 2
+--R                    (4q cosh(a x)  + (4q  - 8p q )cosh(a x))sinh(a x)
+--R                  + 
+--R                     4         4      4     2 2          2    4     2 2     4
+--R                    q cosh(a x)  + (2q  - 4p q )cosh(a x)  + q  - 8p q  + 8p
+--R               *
+--R                   +---------+
+--R                   |   2    2
+--R                  \|- q  + p
+--R              + 
+--R                       4     3 2          2
+--R                (- 4p q  + 4p q )sinh(a x)
+--R              + 
+--R                       4     3 2
+--R                (- 8p q  + 8p q )cosh(a x)sinh(a x)
+--R              + 
+--R                       4     3 2          2       4      3 2     5
+--R                (- 4p q  + 4p q )cosh(a x)  - 4p q  + 12p q  - 8p
+--R           /
+--R                 2         4     2                  3
+--R                q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R              + 
+--R                   2         2     2     2          2
+--R                (6q cosh(a x)  + 2q  - 4p )sinh(a x)
+--R              + 
+--R                   2         3      2     2                        2         4
+--R                (4q cosh(a x)  + (4q  - 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R              + 
+--R                   2     2          2    2
+--R                (2q  - 4p )cosh(a x)  + q
+--R     + 
+--R         +---------+
+--R         |   2    2      p tanh(a x)
+--R       2\|- q  + p  atan(-----------)
+--R                           +-------+
+--R                           | 2    2
+--R                          \|q  - p
+--R  /
+--R          +---------+ +-------+
+--R          |   2    2  | 2    2
+--R     2a p\|- q  + p  \|q  - p
+--R                                                     Type: Expression Integer
+--E
+
+--S 143    14:583 Axiom cannot simplify this expression
+cc4:=aa.2-bb2
+--R
+--R   (7)
+--R       -
+--R          atan
+--R                      2         2     2                      2         2    2
+--R                     q sinh(a x)  + 2q cosh(a x)sinh(a x) + q cosh(a x)  + q
+--R                   + 
+--R                         2
+--R                     - 2p
+--R              *
+--R                  +-------+
+--R                  | 2    2
+--R                 \|q  - p
+--R            /
+--R                   2     3
+--R               2p q  - 2p
+--R     + 
+--R            p tanh(a x)
+--R       atan(-----------)
+--R              +-------+
+--R              | 2    2
+--R             \|q  - p
+--R  /
+--R         +-------+
+--R         | 2    2
+--R     a p\|q  - p
+--R                                                     Type: Expression Integer
+--E
+
 @
 
 \section{\cite{1}:14.584~~~~~$\displaystyle
@@ -680,7 +2708,7 @@ $$
 <<*>>=
 )clear all
 
---S 23 of 28
+--S 144
 aa:=integrate(1/(p^2+q^2*cosh(a*x)^2),x)
 --R 
 --R
@@ -725,6 +2753,142 @@ aa:=integrate(1/(p^2+q^2*cosh(a*x)^2),x)
 --R     2a p\|q  + p
 --R                                          Type: Union(Expression Integer,...)
 --E 
+
+--S 145
+bb1:=1/(2*a*p*sqrt(p^2+q^2))*log((p*tanh(a*x)+sqrt(p^2+q^2))/(p*tanh(a*x)-sqrt(p^2+q^2)))
+--R
+--R               +-------+
+--R               | 2    2
+--R            - \|q  + p   - p tanh(a x)
+--R        log(--------------------------)
+--R              +-------+
+--R              | 2    2
+--R             \|q  + p   - p tanh(a x)
+--R   (2)  -------------------------------
+--R                      +-------+
+--R                      | 2    2
+--R                 2a p\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 146
+bb2:=1/(a*p*sqrt(p^2+q^2))*atan((p*tanh(a*x))/sqrt(p^2+q^2))
+--R
+--R             p tanh(a x)
+--R        atan(-----------)
+--R               +-------+
+--R               | 2    2
+--R              \|q  + p
+--R   (3)  -----------------
+--R              +-------+
+--R              | 2    2
+--R          a p\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 147
+cc1:=aa-bb1
+--R
+--R   (4)
+--R       log
+--R                   4         4     4                  3
+--R                  q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                + 
+--R                     4         2     4     2 2          2
+--R                  (6q cosh(a x)  + 2q  + 4p q )sinh(a x)
+--R                + 
+--R                     4         3      4     2 2
+--R                  (4q cosh(a x)  + (4q  + 8p q )cosh(a x))sinh(a x)
+--R                + 
+--R                   4         4      4     2 2          2    4     2 2     4
+--R                  q cosh(a x)  + (2q  + 4p q )cosh(a x)  + q  + 8p q  + 8p
+--R             *
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  + p
+--R            + 
+--R                     4     3 2          2          4     3 2
+--R              (- 4p q  - 4p q )sinh(a x)  + (- 8p q  - 8p q )cosh(a x)sinh(a x)
+--R            + 
+--R                     4     3 2          2       4      3 2     5
+--R              (- 4p q  - 4p q )cosh(a x)  - 4p q  - 12p q  - 8p
+--R         /
+--R               2         4     2                  3
+--R              q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R            + 
+--R                 2         2     2     2          2
+--R              (6q cosh(a x)  + 2q  + 4p )sinh(a x)
+--R            + 
+--R                 2         3      2     2                        2         4
+--R              (4q cosh(a x)  + (4q  + 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R            + 
+--R                 2     2          2    2
+--R              (2q  + 4p )cosh(a x)  + q
+--R     + 
+--R                +-------+
+--R                | 2    2
+--R             - \|q  + p   - p tanh(a x)
+--R       - log(--------------------------)
+--R               +-------+
+--R               | 2    2
+--R              \|q  + p   - p tanh(a x)
+--R  /
+--R          +-------+
+--R          | 2    2
+--R     2a p\|q  + p
+--R                                                     Type: Expression Integer
+--E
+
+--S 148    14:584 Axiom cannot compute this integral
+cc2:=aa-bb2
+--R
+--R   (5)
+--R       log
+--R                   4         4     4                  3
+--R                  q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R                + 
+--R                     4         2     4     2 2          2
+--R                  (6q cosh(a x)  + 2q  + 4p q )sinh(a x)
+--R                + 
+--R                     4         3      4     2 2
+--R                  (4q cosh(a x)  + (4q  + 8p q )cosh(a x))sinh(a x)
+--R                + 
+--R                   4         4      4     2 2          2    4     2 2     4
+--R                  q cosh(a x)  + (2q  + 4p q )cosh(a x)  + q  + 8p q  + 8p
+--R             *
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  + p
+--R            + 
+--R                     4     3 2          2          4     3 2
+--R              (- 4p q  - 4p q )sinh(a x)  + (- 8p q  - 8p q )cosh(a x)sinh(a x)
+--R            + 
+--R                     4     3 2          2       4      3 2     5
+--R              (- 4p q  - 4p q )cosh(a x)  - 4p q  - 12p q  - 8p
+--R         /
+--R               2         4     2                  3
+--R              q sinh(a x)  + 4q cosh(a x)sinh(a x)
+--R            + 
+--R                 2         2     2     2          2
+--R              (6q cosh(a x)  + 2q  + 4p )sinh(a x)
+--R            + 
+--R                 2         3      2     2                        2         4
+--R              (4q cosh(a x)  + (4q  + 8p )cosh(a x))sinh(a x) + q cosh(a x)
+--R            + 
+--R                 2     2          2    2
+--R              (2q  + 4p )cosh(a x)  + q
+--R     + 
+--R               p tanh(a x)
+--R       - 2atan(-----------)
+--R                 +-------+
+--R                 | 2    2
+--R                \|q  + p
+--R  /
+--R          +-------+
+--R          | 2    2
+--R     2a p\|q  + p
+--R                                                     Type: Expression Integer
+--E
 @
 
 \section{\cite{1}:14.585~~~~~$\displaystyle
@@ -735,7 +2899,7 @@ $$
 <<*>>=
 )clear all
 
---S 24 of 28
+--S 149    14:585 Axiom cannot compute this integral
 aa:=integrate(x^m*cosh(a*x),x)
 --R 
 --R
@@ -755,7 +2919,7 @@ $$
 <<*>>=
 )clear all
 
---S 25 of 28
+--S 150    14:586 Axiom cannot compute this integral
 aa:=integrate(cosh(a*x)^n,x)
 --R 
 --R
@@ -776,7 +2940,7 @@ $$
 <<*>>=
 )clear all
 
---S 26 of 28
+--S 151    14:587 Axiom cannot compute this integral
 aa:=integrate(cosh(a*x)/x^n,x)
 --R 
 --R
@@ -798,7 +2962,7 @@ $$
 <<*>>=
 )clear all
 
---S 27 of 28
+--S 152    14:588 Axiom cannot compute this integral
 aa:=integrate(1/cosh(a*x)^n,x)
 --R 
 --R
@@ -821,7 +2985,7 @@ $$
 <<*>>=
 )clear all
 
---S 28 of 28
+--S 153    14:589 Axiom cannot compute this integral
 aa:=integrate(1/cosh(a*x)^n,x)
 --R 
 --R
